/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __NIC_BPF_SKEL_H__
#define __NIC_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct nic_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__probe_match_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *proc_obj_map;
		struct bpf_map *hw_args_map;
		struct bpf_map *nic_failure_count_map;
		struct bpf_map *nic_failure_channel_map;
	} maps;
	struct {
		struct bpf_program *bpf_netif_carrier_off;
		struct bpf_program *bpf_raw_trace_net_dev_xmit_timeout;
	} progs;
	struct {
		struct bpf_link *bpf_netif_carrier_off;
		struct bpf_link *bpf_raw_trace_net_dev_xmit_timeout;
	} links;

#ifdef __cplusplus
	static inline struct nic_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct nic_bpf *open_and_load();
	static inline int load(struct nic_bpf *skel);
	static inline int attach(struct nic_bpf *skel);
	static inline void detach(struct nic_bpf *skel);
	static inline void destroy(struct nic_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
nic_bpf__destroy(struct nic_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
nic_bpf__create_skeleton(struct nic_bpf *obj);

static inline struct nic_bpf *
nic_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct nic_bpf *obj;
	int err;

	obj = (struct nic_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = nic_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	nic_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct nic_bpf *
nic_bpf__open(void)
{
	return nic_bpf__open_opts(NULL);
}

static inline int
nic_bpf__load(struct nic_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct nic_bpf *
nic_bpf__open_and_load(void)
{
	struct nic_bpf *obj;
	int err;

	obj = nic_bpf__open();
	if (!obj)
		return NULL;
	err = nic_bpf__load(obj);
	if (err) {
		nic_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
nic_bpf__attach(struct nic_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
nic_bpf__detach(struct nic_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *nic_bpf__elf_bytes(size_t *sz);

static inline int
nic_bpf__create_skeleton(struct nic_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "nic_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 7;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "__probe_match_map";
	s->maps[0].map = &obj->maps.__probe_match_map;

	s->maps[1].name = "cgrp_obj_map";
	s->maps[1].map = &obj->maps.cgrp_obj_map;

	s->maps[2].name = "nm_obj_map";
	s->maps[2].map = &obj->maps.nm_obj_map;

	s->maps[3].name = "proc_obj_map";
	s->maps[3].map = &obj->maps.proc_obj_map;

	s->maps[4].name = "hw_args_map";
	s->maps[4].map = &obj->maps.hw_args_map;

	s->maps[5].name = "nic_failure_count_map";
	s->maps[5].map = &obj->maps.nic_failure_count_map;

	s->maps[6].name = "nic_failure_channel_map";
	s->maps[6].map = &obj->maps.nic_failure_channel_map;

	/* programs */
	s->prog_cnt = 2;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_netif_carrier_off";
	s->progs[0].prog = &obj->progs.bpf_netif_carrier_off;
	s->progs[0].link = &obj->links.bpf_netif_carrier_off;

	s->progs[1].name = "bpf_raw_trace_net_dev_xmit_timeout";
	s->progs[1].prog = &obj->progs.bpf_raw_trace_net_dev_xmit_timeout;
	s->progs[1].link = &obj->links.bpf_raw_trace_net_dev_xmit_timeout;

	s->data = (void *)nic_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *nic_bpf__elf_bytes(size_t *sz)
{
	*sz = 12536;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x38\x2d\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xc0\xff\0\0\0\0\x7b\x1a\
\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\x7b\x1a\xa8\xff\0\0\0\0\x79\x67\0\0\0\
\0\0\0\x15\x07\x7e\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xa8\xff\xff\xff\
\xb7\x02\0\0\x10\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x2d\0\0\0\xbf\x73\0\0\0\0\
\0\0\x07\x03\0\0\x70\x05\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc8\xff\xff\xff\
\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\x79\xa3\xc8\xff\0\0\0\0\x15\x03\x19\
\0\0\0\0\0\x07\x03\0\0\x68\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc8\xff\xff\
\xff\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\x79\xa8\xc8\xff\0\0\0\0\x15\x08\
\x12\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc8\xff\xff\xff\xb7\x02\0\0\x08\
\0\0\0\xbf\x83\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\x79\xa1\xc8\xff\0\0\0\0\x15\x01\
\x0b\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc8\xff\xff\xff\xb7\x02\0\0\x08\
\0\0\0\xbf\x83\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\x79\xa3\xc8\xff\0\0\0\0\x15\x03\
\x04\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xb8\xff\xff\xff\xb7\x02\0\0\x0a\
\0\0\0\x85\0\0\0\x2d\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xa8\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\0\0\0\x55\
\x08\x1e\0\0\0\0\0\x79\xa1\xa8\xff\0\0\0\0\x7b\x1a\xd0\xff\0\0\0\0\x79\xa1\xb0\
\xff\0\0\0\0\x7b\x1a\xd8\xff\0\0\0\0\x79\xa1\xb8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\
\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x69\xa2\xc0\xff\0\0\0\0\x6b\
\x2a\xe8\xff\0\0\0\0\x61\xa2\xc4\xff\0\0\0\0\x63\x2a\xec\xff\0\0\0\0\x7b\x1a\
\xf8\xff\0\0\0\0\x7b\x1a\xf0\xff\0\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\xbf\xa8\0\0\0\
\0\0\0\x07\x08\0\0\xa8\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xc8\xff\xff\
\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x82\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\
\0\x85\0\0\0\x02\0\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x82\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\0\0\0\x15\x08\x33\0\0\0\0\0\xbf\x73\0\0\0\0\
\0\0\x07\x03\0\0\xf8\x01\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc8\xff\xff\xff\
\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xc8\xff\0\0\0\0\x63\x18\x2c\
\0\0\0\0\0\x07\x07\0\0\xfc\x01\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xc8\xff\xff\
\xff\xb7\x02\0\0\x04\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xc8\
\xff\0\0\0\0\x63\x18\x30\0\0\0\0\0\x85\0\0\0\x05\0\0\0\xbf\x07\0\0\0\0\0\0\x79\
\x81\0\0\0\0\0\0\x55\x01\x02\0\0\0\0\0\x7b\x78\0\0\0\0\0\0\x05\0\x1d\0\0\0\0\0\
\xb7\x01\0\0\0\0\0\0\x63\x1a\xc8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\
\xc8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x18\
\x01\0\0\0\xf2\x05\x2a\0\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x79\x02\0\0\0\0\0\
\0\x15\x02\x01\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x79\x82\0\0\0\0\0\0\x3d\x72\x0e\0\
\0\0\0\0\xbf\x73\0\0\0\0\0\0\x1f\x23\0\0\0\0\0\0\x2d\x31\x0b\0\0\0\0\0\x7b\x78\
\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\
\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xbf\x84\0\0\0\0\0\0\xb7\x05\0\0\x38\0\0\0\
\x85\0\0\0\x19\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x18\x28\0\0\0\0\0\xb7\0\0\0\0\0\0\
\0\x95\0\0\0\0\0\0\0\xbf\x16\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x1a\xc0\xff\0\
\0\0\0\x7b\x1a\xb8\xff\0\0\0\0\x7b\x1a\xb0\xff\0\0\0\0\x7b\x1a\xa8\xff\0\0\0\0\
\x79\x67\0\0\0\0\0\0\x15\x07\x72\0\0\0\0\0\x79\x68\x08\0\0\0\0\0\xbf\xa1\0\0\0\
\0\0\0\x07\x01\0\0\xa8\xff\xff\xff\xb7\x02\0\0\x10\0\0\0\xbf\x73\0\0\0\0\0\0\
\x85\0\0\0\x2d\0\0\0\x07\x07\0\0\x70\x05\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\
\xc8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\
\x79\xa3\xc8\xff\0\0\0\0\x15\x03\x19\0\0\0\0\0\x07\x03\0\0\x68\0\0\0\xbf\xa1\0\
\0\0\0\0\0\x07\x01\0\0\xc8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\
\0\x79\xa7\xc8\xff\0\0\0\0\x15\x07\x12\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\
\0\xc8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x04\0\0\
\0\x79\xa1\xc8\xff\0\0\0\0\x15\x01\x0b\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\
\0\xc8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x04\0\0\
\0\x79\xa3\xc8\xff\0\0\0\0\x15\x03\x04\0\0\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\
\0\xb8\xff\xff\xff\xb7\x02\0\0\x0a\0\0\0\x85\0\0\0\x2d\0\0\0\x63\x8a\xc4\xff\0\
\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xa8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\0\0\0\x55\x07\x1e\0\0\0\0\0\x79\
\xa1\xa8\xff\0\0\0\0\x7b\x1a\xd0\xff\0\0\0\0\x79\xa1\xb0\xff\0\0\0\0\x7b\x1a\
\xd8\xff\0\0\0\0\x79\xa1\xb8\xff\0\0\0\0\x7b\x1a\xe0\xff\0\0\0\0\xb7\x01\0\0\0\
\0\0\0\x7b\x1a\xe8\xff\0\0\0\0\x69\xa2\xc0\xff\0\0\0\0\x6b\x2a\xe8\xff\0\0\0\0\
\x61\xa2\xc4\xff\0\0\0\0\x63\x2a\xec\xff\0\0\0\0\x7b\x1a\xf8\xff\0\0\0\0\x7b\
\x1a\xf0\xff\0\0\0\0\x7b\x1a\xc8\xff\0\0\0\0\xbf\xa7\0\0\0\0\0\0\x07\x07\0\0\
\xa8\xff\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\xc8\xff\xff\xff\x18\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\
\0\0\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x72\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\xbf\x07\0\0\0\0\0\0\x15\x07\x25\0\0\0\0\0\xb7\x01\0\0\x01\0\0\0\xc3\x17\x28\
\0\0\0\0\0\x85\0\0\0\x05\0\0\0\xbf\x08\0\0\0\0\0\0\x79\x71\0\0\0\0\0\0\x55\x01\
\x02\0\0\0\0\0\x7b\x87\0\0\0\0\0\0\x05\0\x1d\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\
\x1a\xc8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xc8\xff\xff\xff\x18\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x18\x01\0\0\0\xf2\x05\x2a\0\0\0\
\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x15\x02\x01\0\0\0\0\0\xbf\
\x21\0\0\0\0\0\0\x79\x72\0\0\0\0\0\0\x3d\x82\x0e\0\0\0\0\0\xbf\x83\0\0\0\0\0\0\
\x1f\x23\0\0\0\0\0\0\x2d\x31\x0b\0\0\0\0\0\x7b\x87\0\0\0\0\0\0\xbf\x61\0\0\0\0\
\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\
\0\0\0\xbf\x74\0\0\0\0\0\0\xb7\x05\0\0\x38\0\0\0\x85\0\0\0\x19\0\0\0\xb7\x01\0\
\0\0\0\0\0\x63\x17\x28\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\
\xeb\x01\0\x18\0\0\0\0\0\0\0\xbc\x06\0\0\xbc\x06\0\0\xda\x0a\0\0\0\0\0\0\0\0\0\
\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\0\0\
\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\
\x30\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\
\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\
\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\
\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\
\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\
\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\
\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x50\0\0\0\0\0\
\0\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\
\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\
\x11\0\0\0\xc0\0\0\0\x5d\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x17\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x19\0\0\0\0\0\0\
\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x0d\0\0\0\x80\0\0\0\x32\0\0\0\x01\0\
\0\0\xc0\0\0\0\x75\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\
\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x38\0\0\0\0\0\0\0\x04\
\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x1d\0\0\0\x40\0\0\0\
\x27\0\0\0\x1f\0\0\0\x80\0\0\0\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x81\0\0\0\0\0\0\
\x0e\x21\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x24\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x0f\0\0\
\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\
\0\x23\0\0\0\xc0\0\0\0\x97\0\0\0\0\0\0\x0e\x25\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x02\x28\0\0\0\xaf\0\0\0\x09\0\0\x04\x50\x01\0\0\0\0\0\0\x29\0\0\0\0\0\0\0\xb7\
\0\0\0\x2f\0\0\0\x80\x08\0\0\xbf\0\0\0\x31\0\0\0\xc0\x08\0\0\xc9\0\0\0\x33\0\0\
\0\xe0\x08\0\0\xd1\0\0\0\x2f\0\0\0\0\x09\0\0\xdc\0\0\0\x2f\0\0\0\x40\x09\0\0\
\xe5\0\0\0\x36\0\0\0\x80\x09\0\0\xf0\0\0\0\x2f\0\0\0\0\x0a\0\0\x01\x01\0\0\x2f\
\0\0\0\x40\x0a\0\0\0\0\0\0\x02\0\0\x05\x10\x01\0\0\x0a\x01\0\0\x2a\0\0\0\0\0\0\
\0\0\0\0\0\x2e\0\0\0\0\0\0\0\x14\x01\0\0\x04\0\0\x04\x10\x01\0\0\x21\x01\0\0\
\x2d\0\0\0\0\0\0\0\x26\x01\0\0\x2b\0\0\0\xc0\x07\0\0\x29\x01\0\0\x2b\0\0\0\0\
\x08\0\0\x2c\x01\0\0\x2b\0\0\0\x40\x08\0\0\x33\x01\0\0\0\0\0\x08\x2c\0\0\0\x39\
\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x2b\0\0\0\x04\
\0\0\0\x1f\0\0\0\0\0\0\0\x04\0\0\x04\x10\x01\0\0\x21\x01\0\0\x30\0\0\0\0\0\0\0\
\x26\x01\0\0\x2f\0\0\0\xc0\x07\0\0\x29\x01\0\0\x2f\0\0\0\0\x08\0\0\x2c\x01\0\0\
\x2f\0\0\0\x40\x08\0\0\x4c\x01\0\0\0\0\0\x08\x2b\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x2f\0\0\0\x04\0\0\0\x1f\0\0\0\x50\x01\0\0\0\0\0\x08\x32\0\0\0\x54\x01\0\0\0\
\0\0\x08\x02\0\0\0\x5a\x01\0\0\0\0\0\x08\x34\0\0\0\x5e\x01\0\0\0\0\0\x08\x35\0\
\0\0\x64\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x2f\0\
\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x71\x01\0\0\x27\0\0\0\
\x75\x01\0\0\x01\0\0\x0c\x37\0\0\0\0\0\0\0\0\0\0\x02\x3a\0\0\0\x47\x09\0\0\x01\
\0\0\x04\0\0\0\0\x5f\x09\0\0\x3b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x2b\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\0\0\x71\x01\0\0\x39\0\0\0\x64\
\x09\0\0\x01\0\0\x0c\x3c\0\0\0\xbc\x0a\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\
\0\0\0\0\0\x03\0\0\0\0\x3e\0\0\0\x04\0\0\0\x04\0\0\0\xc1\x0a\0\0\0\0\0\x0e\x3f\
\0\0\0\x01\0\0\0\xcc\x0a\0\0\x07\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\
\x14\0\0\0\0\0\0\0\x20\0\0\0\x16\0\0\0\0\0\0\0\x20\0\0\0\x18\0\0\0\0\0\0\0\x20\
\0\0\0\x1c\0\0\0\0\0\0\0\x20\0\0\0\x22\0\0\0\0\0\0\0\x20\0\0\0\x26\0\0\0\0\0\0\
\0\x20\0\0\0\xd2\x0a\0\0\x01\0\0\x0f\0\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\
\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x5f\
\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x63\x67\x72\
\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\
\0\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x68\x77\x5f\x61\x72\x67\
\x73\x5f\x6d\x61\x70\0\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x63\x6f\
\x75\x6e\x74\x5f\x6d\x61\x70\0\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\
\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x6d\x61\x70\0\x70\x74\x5f\x72\x65\x67\x73\0\
\x6f\x72\x69\x67\x5f\x78\x30\0\x73\x79\x73\x63\x61\x6c\x6c\x6e\x6f\0\x75\x6e\
\x75\x73\x65\x64\x32\0\x73\x64\x65\x69\x5f\x74\x74\x62\x72\x31\0\x70\x6d\x72\
\x5f\x73\x61\x76\x65\0\x73\x74\x61\x63\x6b\x66\x72\x61\x6d\x65\0\x6c\x6f\x63\
\x6b\x64\x65\x70\x5f\x68\x61\x72\x64\x69\x72\x71\x73\0\x65\x78\x69\x74\x5f\x72\
\x63\x75\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\x73\x65\x72\x5f\x70\x74\
\x5f\x72\x65\x67\x73\0\x72\x65\x67\x73\0\x73\x70\0\x70\x63\0\x70\x73\x74\x61\
\x74\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\
\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x36\x34\0\x73\x33\x32\0\x5f\x5f\x73\x33\x32\
\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x63\x74\x78\0\x62\x70\x66\x5f\x6e\x65\x74\x69\x66\x5f\x63\x61\x72\
\x72\x69\x65\x72\x5f\x6f\x66\x66\0\x6b\x70\x72\x6f\x62\x65\x2f\x6e\x65\x74\x69\
\x66\x5f\x63\x61\x72\x72\x69\x65\x72\x5f\x6f\x66\x66\0\x2f\x68\x6f\x6d\x65\x2f\
\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\
\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\
\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x68\x77\
\x70\x72\x6f\x62\x65\x2f\x6e\x69\x63\x2e\x62\x70\x66\x2e\x63\0\x4b\x50\x52\x4f\
\x42\x45\x28\x6e\x65\x74\x69\x66\x5f\x63\x61\x72\x72\x69\x65\x72\x5f\x6f\x66\
\x66\x2c\x20\x70\x74\x5f\x72\x65\x67\x73\x29\0\x20\x20\x20\x20\x73\x74\x72\x75\
\x63\x74\x20\x6e\x69\x63\x5f\x65\x6e\x74\x69\x74\x79\x5f\x73\x20\x6e\x69\x63\
\x5f\x65\x6e\x74\x69\x74\x79\x20\x3d\x20\x7b\x30\x7d\x3b\0\x20\x20\x20\x20\x73\
\x74\x72\x75\x63\x74\x20\x6e\x65\x74\x5f\x64\x65\x76\x69\x63\x65\x20\x2a\x6e\
\x65\x74\x5f\x64\x65\x76\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x6e\x65\
\x74\x5f\x64\x65\x76\x69\x63\x65\x20\x2a\x29\x50\x54\x5f\x52\x45\x47\x53\x5f\
\x50\x41\x52\x4d\x31\x28\x63\x74\x78\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\
\x6e\x65\x74\x5f\x64\x65\x76\x20\x3d\x3d\x20\x4e\x55\x4c\x4c\x29\x20\x7b\0\x20\
\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\
\x72\x65\x61\x64\x5f\x73\x74\x72\x28\x26\x6e\x69\x63\x5f\x65\x6e\x74\x69\x74\
\x79\x2d\x3e\x64\x65\x76\x5f\x6e\x61\x6d\x65\x2c\x20\x49\x46\x4e\x41\x4d\x53\
\x49\x5a\x2c\x20\x6e\x65\x74\x5f\x64\x65\x76\x2d\x3e\x6e\x61\x6d\x65\x29\x3b\0\
\x20\x20\x20\x20\x70\x61\x72\x65\x6e\x74\x20\x3d\x20\x5f\x28\x6e\x65\x74\x5f\
\x64\x65\x76\x2d\x3e\x64\x65\x76\x2e\x70\x61\x72\x65\x6e\x74\x29\x3b\0\x20\x20\
\x20\x20\x69\x66\x20\x28\x21\x70\x61\x72\x65\x6e\x74\x29\x20\x7b\0\x20\x20\x20\
\x20\x64\x72\x69\x76\x65\x72\x20\x3d\x20\x5f\x28\x70\x61\x72\x65\x6e\x74\x2d\
\x3e\x64\x72\x69\x76\x65\x72\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x64\x72\
\x69\x76\x65\x72\x20\x26\x26\x20\x5f\x28\x64\x72\x69\x76\x65\x72\x2d\x3e\x6e\
\x61\x6d\x65\x29\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x72\x65\x74\x75\
\x72\x6e\x20\x28\x63\x68\x61\x72\x20\x2a\x29\x5f\x28\x64\x72\x69\x76\x65\x72\
\x2d\x3e\x6e\x61\x6d\x65\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x64\x72\x69\
\x76\x65\x72\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x29\x20\x7b\0\x20\x20\x20\x20\x20\
\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\
\x72\x65\x61\x64\x5f\x73\x74\x72\x28\x26\x6e\x69\x63\x5f\x65\x6e\x74\x69\x74\
\x79\x2d\x3e\x64\x72\x69\x76\x65\x72\x2c\x20\x44\x52\x49\x56\x45\x52\x5f\x4e\
\x41\x4d\x45\x5f\x4c\x45\x4e\x2c\x20\x64\x72\x69\x76\x65\x72\x29\x3b\0\x20\x20\
\x20\x20\x73\x74\x72\x75\x63\x74\x20\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\
\x65\x5f\x73\x20\x2a\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x20\x3d\x20\
\x28\x73\x74\x72\x75\x63\x74\x20\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\
\x5f\x73\x20\x2a\x29\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\
\x5f\x65\x6c\x65\x6d\x28\x26\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\
\x63\x6f\x75\x6e\x74\x5f\x6d\x61\x70\x2c\x20\x6e\x69\x63\x5f\x65\x6e\x74\x69\
\x74\x79\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x6e\x69\x63\x5f\x66\x61\x69\
\x6c\x75\x72\x65\x29\x20\x7b\0\x20\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x5f\x5f\
\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\x79\x28\x26\x6e\x65\x77\
\x5f\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\x65\x6e\x74\x69\x74\x79\
\x2e\x64\x65\x76\x5f\x6e\x61\x6d\x65\x2c\x20\x6e\x69\x63\x5f\x65\x6e\x74\x69\
\x74\x79\x2d\x3e\x64\x65\x76\x5f\x6e\x61\x6d\x65\x2c\x20\x20\x49\x46\x4e\x41\
\x4d\x53\x49\x5a\x29\x3b\0\x20\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x5f\x5f\x62\
\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\x79\x28\x26\x6e\x65\x77\x5f\
\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\x65\x6e\x74\x69\x74\x79\x2e\
\x64\x72\x69\x76\x65\x72\x2c\x20\x6e\x69\x63\x5f\x65\x6e\x74\x69\x74\x79\x2d\
\x3e\x64\x72\x69\x76\x65\x72\x2c\x20\x44\x52\x49\x56\x45\x52\x5f\x4e\x41\x4d\
\x45\x5f\x4c\x45\x4e\x29\x3b\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x6e\
\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x73\x20\x6e\x65\x77\x5f\x6e\x69\
\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x20\x3d\x20\x7b\x30\x7d\x3b\0\x20\x20\x20\
\x20\x6e\x65\x77\x5f\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x2e\x65\x6e\
\x74\x69\x74\x79\x2e\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\x20\x3d\x20\
\x6e\x69\x63\x5f\x65\x6e\x74\x69\x74\x79\x2d\x3e\x71\x75\x65\x75\x65\x5f\x69\
\x6e\x64\x65\x78\x3b\0\x20\x20\x20\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\
\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x6e\x69\x63\x5f\x66\x61\x69\x6c\
\x75\x72\x65\x5f\x63\x6f\x75\x6e\x74\x5f\x6d\x61\x70\x2c\x20\x6e\x69\x63\x5f\
\x65\x6e\x74\x69\x74\x79\x2c\x20\x26\x6e\x65\x77\x5f\x6e\x69\x63\x5f\x66\x61\
\x69\x6c\x75\x72\x65\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\x20\x20\x20\
\x20\x72\x65\x74\x75\x72\x6e\x20\x28\x73\x74\x72\x75\x63\x74\x20\x6e\x69\x63\
\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x73\x20\x2a\x29\x62\x70\x66\x5f\x6d\x61\
\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x6e\x69\x63\x5f\
\x66\x61\x69\x6c\x75\x72\x65\x5f\x63\x6f\x75\x6e\x74\x5f\x6d\x61\x70\x2c\x20\
\x6e\x69\x63\x5f\x65\x6e\x74\x69\x74\x79\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\
\x28\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x20\x3d\x3d\x20\x4e\x55\x4c\
\x4c\x29\x20\x7b\0\x20\x20\x20\x20\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\
\x2d\x3e\x63\x61\x72\x72\x69\x65\x72\x5f\x75\x70\x5f\x63\x6f\x75\x6e\x74\x20\
\x3d\x20\x5f\x28\x6e\x65\x74\x5f\x64\x65\x76\x2d\x3e\x63\x61\x72\x72\x69\x65\
\x72\x5f\x75\x70\x5f\x63\x6f\x75\x6e\x74\x2e\x63\x6f\x75\x6e\x74\x65\x72\x29\
\x3b\0\x20\x20\x20\x20\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x2d\x3e\x63\
\x61\x72\x72\x69\x65\x72\x5f\x64\x6f\x77\x6e\x5f\x63\x6f\x75\x6e\x74\x20\x3d\
\x20\x5f\x28\x6e\x65\x74\x5f\x64\x65\x76\x2d\x3e\x63\x61\x72\x72\x69\x65\x72\
\x5f\x64\x6f\x77\x6e\x5f\x63\x6f\x75\x6e\x74\x2e\x63\x6f\x75\x6e\x74\x65\x72\
\x29\x3b\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\
\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\
\x68\x65\x72\x2d\x32\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\
\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\
\x65\x2f\x73\x72\x63\x2f\x68\x77\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x68\x77\x5f\
\x61\x72\x67\x73\x2e\x68\0\x20\x20\x20\x20\x75\x36\x34\x20\x74\x73\x20\x3d\x20\
\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\
\x20\x20\x20\x20\x69\x66\x20\x28\x72\x65\x70\x6f\x72\x74\x2d\x3e\x74\x73\x20\
\x3d\x3d\x20\x30\x29\x20\x7b\0\x20\x20\x20\x20\x75\x33\x32\x20\x6b\x65\x79\x20\
\x3d\x20\x30\x3b\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x68\x77\x5f\x61\
\x72\x67\x73\x5f\x73\x20\x2a\x61\x72\x67\x73\x20\x3d\x20\x28\x73\x74\x72\x75\
\x63\x74\x20\x68\x77\x5f\x61\x72\x67\x73\x5f\x73\x20\x2a\x29\x62\x70\x66\x5f\
\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x68\x77\
\x5f\x61\x72\x67\x73\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x20\x20\
\x20\x20\x69\x66\x20\x28\x61\x72\x67\x73\x20\x21\x3d\x20\x4e\x55\x4c\x4c\x20\
\x26\x26\x20\x61\x72\x67\x73\x2d\x3e\x72\x65\x70\x6f\x72\x74\x5f\x70\x65\x72\
\x69\x6f\x64\x20\x21\x3d\x20\x30\x29\x20\x7b\0\x20\x20\x20\x20\x69\x66\x20\x28\
\x28\x74\x73\x20\x3e\x20\x72\x65\x70\x6f\x72\x74\x2d\x3e\x74\x73\x29\x20\x26\
\x26\x20\x28\x28\x74\x73\x20\x2d\x20\x72\x65\x70\x6f\x72\x74\x2d\x3e\x74\x73\
\x29\x20\x3e\x3d\x20\x72\x65\x70\x6f\x72\x74\x5f\x70\x65\x72\x69\x6f\x64\x29\
\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x62\x70\
\x66\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\
\x28\x63\x74\x78\x2c\x20\x26\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\
\x63\x68\x61\x6e\x6e\x65\x6c\x5f\x6d\x61\x70\x2c\x20\x42\x50\x46\x5f\x46\x5f\
\x41\x4c\x4c\x5f\x43\x50\x55\x2c\0\x20\x20\x20\x20\x20\x20\x20\x20\x6e\x69\x63\
\x5f\x66\x61\x69\x6c\x75\x72\x65\x2d\x3e\x78\x6d\x69\x74\x5f\x74\x69\x6d\x65\
\x6f\x75\x74\x5f\x63\x6f\x75\x6e\x74\x20\x3d\x20\x30\x3b\0\x7d\0\x62\x70\x66\
\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\
\x73\0\x61\x72\x67\x73\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\
\x5f\x6e\x65\x74\x5f\x64\x65\x76\x5f\x78\x6d\x69\x74\x5f\x74\x69\x6d\x65\x6f\
\x75\x74\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x2f\x6e\x65\
\x74\x5f\x64\x65\x76\x5f\x78\x6d\x69\x74\x5f\x74\x69\x6d\x65\x6f\x75\x74\0\x4b\
\x52\x41\x57\x54\x52\x41\x43\x45\x28\x6e\x65\x74\x5f\x64\x65\x76\x5f\x78\x6d\
\x69\x74\x5f\x74\x69\x6d\x65\x6f\x75\x74\x2c\x20\x62\x70\x66\x5f\x72\x61\x77\
\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\x73\x29\0\x20\x20\
\x20\x20\x73\x74\x72\x75\x63\x74\x20\x6e\x65\x74\x5f\x64\x65\x76\x69\x63\x65\
\x20\x2a\x6e\x65\x74\x5f\x64\x65\x76\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\
\x20\x6e\x65\x74\x5f\x64\x65\x76\x69\x63\x65\x20\x2a\x29\x63\x74\x78\x2d\x3e\
\x61\x72\x67\x73\x5b\x30\x5d\x3b\0\x20\x20\x20\x20\x69\x6e\x74\x20\x71\x75\x65\
\x75\x65\x5f\x69\x6e\x64\x65\x78\x20\x3d\x20\x28\x69\x6e\x74\x29\x63\x74\x78\
\x2d\x3e\x61\x72\x67\x73\x5b\x31\x5d\x3b\0\x20\x20\x20\x20\x6e\x69\x63\x5f\x65\
\x6e\x74\x69\x74\x79\x2e\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\x20\x3d\
\x20\x71\x75\x65\x75\x65\x5f\x69\x6e\x64\x65\x78\x3b\0\x20\x20\x20\x20\x5f\x5f\
\x73\x79\x6e\x63\x5f\x66\x65\x74\x63\x68\x5f\x61\x6e\x64\x5f\x61\x64\x64\x28\
\x26\x28\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x2d\x3e\x78\x6d\x69\x74\
\x5f\x74\x69\x6d\x65\x6f\x75\x74\x5f\x63\x6f\x75\x6e\x74\x29\x2c\x20\x31\x29\
\x3b\0\x63\x68\x61\x72\0\x67\x5f\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\x6d\x61\
\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\
\x24\0\0\0\x24\0\0\0\x84\x06\0\0\xa8\x06\0\0\0\0\0\0\x08\0\0\0\x8b\x01\0\0\x01\
\0\0\0\0\0\0\0\x38\0\0\0\x87\x09\0\0\x01\0\0\0\0\0\0\0\x3d\0\0\0\x10\0\0\0\x8b\
\x01\0\0\x36\0\0\0\0\0\0\0\xa4\x01\0\0\x06\x02\0\0\0\x80\x01\0\x10\0\0\0\xa4\
\x01\0\0\x29\x02\0\0\x19\x88\x01\0\x30\0\0\0\xa4\x01\0\0\x53\x02\0\0\x37\x8c\
\x01\0\x38\0\0\0\xa4\x01\0\0\x9d\x02\0\0\x09\x90\x01\0\x48\0\0\0\xa4\x01\0\0\0\
\0\0\0\0\0\0\0\x50\0\0\0\xa4\x01\0\0\xb8\x02\0\0\x0b\0\x01\0\x68\0\0\0\xa4\x01\
\0\0\x06\x03\0\0\x0e\xb8\0\0\x80\0\0\0\xa4\x01\0\0\0\0\0\0\0\0\0\0\x88\0\0\0\
\xa4\x01\0\0\x06\x03\0\0\x0e\xb8\0\0\xa0\0\0\0\xa4\x01\0\0\x2b\x03\0\0\x09\xc0\
\0\0\xa8\0\0\0\xa4\x01\0\0\x3e\x03\0\0\x0e\xd0\0\0\xd8\0\0\0\xa4\x01\0\0\x5e\
\x03\0\0\x10\xd8\0\0\xe8\0\0\0\xa4\x01\0\0\x5e\x03\0\0\x13\xd8\0\0\x10\x01\0\0\
\xa4\x01\0\0\x5e\x03\0\0\x09\xd8\0\0\x20\x01\0\0\xa4\x01\0\0\x83\x03\0\0\x18\
\xdc\0\0\x48\x01\0\0\xa4\x01\0\0\xab\x03\0\0\x09\x08\x01\0\x50\x01\0\0\xa4\x01\
\0\0\xc5\x03\0\0\x2f\x0c\x01\0\x60\x01\0\0\xa4\x01\0\0\xc5\x03\0\0\x0f\x0c\x01\
\0\x78\x01\0\0\xa4\x01\0\0\0\0\0\0\0\0\0\0\x80\x01\0\0\xa4\x01\0\0\x15\x04\0\0\
\x41\x24\x01\0\xa0\x01\0\0\xa4\x01\0\0\x8e\x04\0\0\x09\x28\x01\0\xa8\x01\0\0\
\xa4\x01\0\0\xa5\x04\0\0\x0b\x3c\x01\0\xc8\x01\0\0\xa4\x01\0\0\x04\x05\0\0\x0b\
\x40\x01\0\xe0\x01\0\0\xa4\x01\0\0\x65\x05\0\0\x1a\x38\x01\0\xe8\x01\0\0\xa4\
\x01\0\0\x04\x05\0\0\x0b\x40\x01\0\xf8\x01\0\0\xa4\x01\0\0\x95\x05\0\0\x36\x44\
\x01\0\0\x02\0\0\xa4\x01\0\0\x95\x05\0\0\x28\x44\x01\0\x08\x02\0\0\xa4\x01\0\0\
\x65\x05\0\0\x1a\x38\x01\0\x28\x02\0\0\xa4\x01\0\0\0\0\0\0\0\0\0\0\x40\x02\0\0\
\xa4\x01\0\0\xd7\x05\0\0\x05\x4c\x01\0\x68\x02\0\0\xa4\x01\0\0\x2f\x06\0\0\x24\
\x50\x01\0\x90\x02\0\0\xa4\x01\0\0\x8b\x06\0\0\x09\xac\x01\0\x98\x02\0\0\xa4\
\x01\0\0\xaa\x06\0\0\x25\xbc\x01\0\xd0\x02\0\0\xa4\x01\0\0\xaa\x06\0\0\x23\xbc\
\x01\0\xd8\x02\0\0\xa4\x01\0\0\xf4\x06\0\0\x27\xc0\x01\0\xe8\x02\0\0\xa4\x01\0\
\0\xaa\x06\0\0\x25\xbc\x01\0\xf0\x02\0\0\xa4\x01\0\0\xf4\x06\0\0\x27\xc0\x01\0\
\x10\x03\0\0\xa4\x01\0\0\xf4\x06\0\0\x25\xc0\x01\0\x18\x03\0\0\x42\x07\0\0\xa6\
\x07\0\0\x0e\xcc\0\0\x28\x03\0\0\x42\x07\0\0\xc7\x07\0\0\x11\xd0\0\0\x30\x03\0\
\0\x42\x07\0\0\xc7\x07\0\0\x09\xd0\0\0\x38\x03\0\0\x42\x07\0\0\0\0\0\0\0\0\0\0\
\x50\x03\0\0\x42\x07\0\0\xe2\x07\0\0\x09\x98\0\0\x60\x03\0\0\x42\x07\0\0\0\0\0\
\0\0\0\0\0\x68\x03\0\0\x42\x07\0\0\xf3\x07\0\0\x32\xa4\0\0\x90\x03\0\0\x42\x07\
\0\0\x4d\x08\0\0\x16\xa8\0\0\x98\x03\0\0\x42\x07\0\0\x4d\x08\0\0\x1f\xa8\0\0\
\xa0\x03\0\0\x42\x07\0\0\x4d\x08\0\0\x09\xa8\0\0\xb0\x03\0\0\x42\x07\0\0\x81\
\x08\0\0\x17\xe8\0\0\xb8\x03\0\0\x42\x07\0\0\x81\x08\0\0\x1b\xe8\0\0\xd8\x03\0\
\0\x42\x07\0\0\0\0\0\0\0\0\0\0\xe0\x03\0\0\xa4\x01\0\0\xc6\x08\0\0\x0f\x68\x01\
\0\x28\x04\0\0\xa4\x01\0\0\x18\x09\0\0\x29\x70\x01\0\x30\x04\0\0\xa4\x01\0\0\
\x45\x09\0\0\x01\xd4\x01\0\x87\x09\0\0\x31\0\0\0\0\0\0\0\xa4\x01\0\0\xab\x09\0\
\0\0\xe0\x01\0\x10\0\0\0\xa4\x01\0\0\x29\x02\0\0\x19\xe8\x01\0\x30\0\0\0\xa4\
\x01\0\0\xe4\x09\0\0\x37\xec\x01\0\x38\0\0\0\xa4\x01\0\0\x9d\x02\0\0\x09\xf4\
\x01\0\x40\0\0\0\xa4\x01\0\0\x28\x0a\0\0\x1c\xf0\x01\0\x58\0\0\0\xa4\x01\0\0\
\xb8\x02\0\0\x0b\0\x01\0\x70\0\0\0\xa4\x01\0\0\x06\x03\0\0\x0e\xb8\0\0\x80\0\0\
\0\xa4\x01\0\0\x28\x0a\0\0\x1c\xf0\x01\0\x88\0\0\0\xa4\x01\0\0\x06\x03\0\0\x0e\
\xb8\0\0\xa8\0\0\0\xa4\x01\0\0\x2b\x03\0\0\x09\xc0\0\0\xb0\0\0\0\xa4\x01\0\0\
\x3e\x03\0\0\x0e\xd0\0\0\xe0\0\0\0\xa4\x01\0\0\x5e\x03\0\0\x10\xd8\0\0\xf0\0\0\
\0\xa4\x01\0\0\x5e\x03\0\0\x13\xd8\0\0\x18\x01\0\0\xa4\x01\0\0\x5e\x03\0\0\x09\
\xd8\0\0\x28\x01\0\0\xa4\x01\0\0\x83\x03\0\0\x18\xdc\0\0\x50\x01\0\0\xa4\x01\0\
\0\xab\x03\0\0\x09\x08\x01\0\x58\x01\0\0\xa4\x01\0\0\xc5\x03\0\0\x2f\x0c\x01\0\
\x68\x01\0\0\xa4\x01\0\0\xc5\x03\0\0\x0f\x0c\x01\0\x78\x01\0\0\xa4\x01\0\0\x51\
\x0a\0\0\x1c\x08\x02\0\x90\x01\0\0\xa4\x01\0\0\x15\x04\0\0\x41\x24\x01\0\xb0\
\x01\0\0\xa4\x01\0\0\x8e\x04\0\0\x09\x28\x01\0\xb8\x01\0\0\xa4\x01\0\0\xa5\x04\
\0\0\x0b\x3c\x01\0\xd8\x01\0\0\xa4\x01\0\0\x04\x05\0\0\x0b\x40\x01\0\xf0\x01\0\
\0\xa4\x01\0\0\x65\x05\0\0\x1a\x38\x01\0\xf8\x01\0\0\xa4\x01\0\0\x04\x05\0\0\
\x0b\x40\x01\0\x08\x02\0\0\xa4\x01\0\0\x95\x05\0\0\x36\x44\x01\0\x10\x02\0\0\
\xa4\x01\0\0\x95\x05\0\0\x28\x44\x01\0\x18\x02\0\0\xa4\x01\0\0\x65\x05\0\0\x1a\
\x38\x01\0\x38\x02\0\0\xa4\x01\0\0\0\0\0\0\0\0\0\0\x50\x02\0\0\xa4\x01\0\0\xd7\
\x05\0\0\x05\x4c\x01\0\x78\x02\0\0\xa4\x01\0\0\x2f\x06\0\0\x24\x50\x01\0\xa0\
\x02\0\0\xa4\x01\0\0\x8b\x06\0\0\x09\x14\x02\0\xb0\x02\0\0\xa4\x01\0\0\x7b\x0a\
\0\0\x05\x24\x02\0\xb8\x02\0\0\x42\x07\0\0\xa6\x07\0\0\x0e\xcc\0\0\xc8\x02\0\0\
\x42\x07\0\0\xc7\x07\0\0\x11\xd0\0\0\xd0\x02\0\0\x42\x07\0\0\xc7\x07\0\0\x09\
\xd0\0\0\xd8\x02\0\0\x42\x07\0\0\0\0\0\0\0\0\0\0\xf0\x02\0\0\x42\x07\0\0\xe2\
\x07\0\0\x09\x98\0\0\0\x03\0\0\x42\x07\0\0\0\0\0\0\0\0\0\0\x08\x03\0\0\x42\x07\
\0\0\xf3\x07\0\0\x32\xa4\0\0\x30\x03\0\0\x42\x07\0\0\x4d\x08\0\0\x16\xa8\0\0\
\x38\x03\0\0\x42\x07\0\0\x4d\x08\0\0\x1f\xa8\0\0\x40\x03\0\0\x42\x07\0\0\x4d\
\x08\0\0\x09\xa8\0\0\x50\x03\0\0\x42\x07\0\0\x81\x08\0\0\x17\xe8\0\0\x58\x03\0\
\0\x42\x07\0\0\x81\x08\0\0\x1b\xe8\0\0\x78\x03\0\0\x42\x07\0\0\0\0\0\0\0\0\0\0\
\x80\x03\0\0\xa4\x01\0\0\xc6\x08\0\0\x0f\x68\x01\0\xc8\x03\0\0\xa4\x01\0\0\x18\
\x09\0\0\x29\x70\x01\0\xd0\x03\0\0\xa4\x01\0\0\x45\x09\0\0\x01\x30\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x67\x01\0\0\0\0\x03\0\x30\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x58\
\x01\0\0\0\0\x03\0\x70\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\x01\0\0\0\0\x03\0\
\x98\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x87\x01\0\0\0\0\x03\0\x48\x03\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x77\x01\0\0\0\0\x03\0\xb0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x5f\x01\0\0\0\0\x05\0\xd0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x51\x01\0\0\0\0\x05\0\x78\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x43\x01\0\0\0\0\x05\0\xa8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7f\x01\0\0\
\0\0\x05\0\xe8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6f\x01\0\0\0\0\x05\0\x50\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xe4\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x40\x04\0\0\0\
\0\0\0\x65\0\0\0\x11\0\x08\0\xa0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x7b\0\0\0\x11\
\0\x08\0\x80\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x87\0\0\0\x11\0\x08\0\xc0\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x12\0\x05\0\0\0\0\0\0\0\0\0\xe0\x03\0\0\0\0\
\0\0\x1f\x01\0\0\x11\0\x07\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xc4\0\0\0\x11\0\
\x08\0\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x9f\0\0\0\x11\0\x08\0\x20\0\0\0\0\0\0\
\0\x20\0\0\0\0\0\0\0\xac\0\0\0\x11\0\x08\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\xb7\0\0\0\x11\0\x08\0\x60\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\
\x01\0\0\0\x0e\0\0\0\x40\x02\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x68\x02\0\0\0\0\0\
\0\x01\0\0\0\x0e\0\0\0\x68\x03\0\0\0\0\0\0\x01\0\0\0\x0f\0\0\0\xe8\x03\0\0\0\0\
\0\0\x01\0\0\0\x10\0\0\0\x90\x01\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x50\x02\0\0\0\
\0\0\0\x01\0\0\0\x0e\0\0\0\x78\x02\0\0\0\0\0\0\x01\0\0\0\x0e\0\0\0\x08\x03\0\0\
\0\0\0\0\x01\0\0\0\x0f\0\0\0\x88\x03\0\0\0\0\0\0\x01\0\0\0\x10\0\0\0\x6c\x06\0\
\0\0\0\0\0\x04\0\0\0\x13\0\0\0\x78\x06\0\0\0\0\0\0\x04\0\0\0\x14\0\0\0\x84\x06\
\0\0\0\0\0\0\x04\0\0\0\x15\0\0\0\x90\x06\0\0\0\0\0\0\x04\0\0\0\x16\0\0\0\x9c\
\x06\0\0\0\0\0\0\x04\0\0\0\x0f\0\0\0\xa8\x06\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\
\xb4\x06\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\xcc\x06\0\0\0\0\0\0\x04\0\0\0\x12\0\0\
\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x3c\0\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\
\x50\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x70\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x90\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xb0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xd0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xf0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x10\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\x30\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\
\0\0\x50\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x01\
\0\0\0\x70\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x90\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\xb0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\x01\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\xf0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\x10\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x02\0\0\0\0\0\0\
\x04\0\0\0\x01\0\0\0\x30\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\x02\0\0\0\0\0\
\0\x04\0\0\0\x01\0\0\0\x50\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\x02\0\0\0\0\
\0\0\x04\0\0\0\x01\0\0\0\x70\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\x02\0\0\0\
\0\0\0\x04\0\0\0\x01\0\0\0\x90\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\x02\0\0\
\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\x02\0\
\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\x02\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x03\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\
\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x30\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x40\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\x60\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\
\0\0\x80\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\x03\0\0\0\0\0\0\x04\0\0\0\x01\
\0\0\0\xa0\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb8\x03\0\0\0\0\0\0\x04\0\0\0\
\x07\0\0\0\xc8\x03\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xd8\x03\0\0\0\0\0\0\x04\0\0\
\0\x07\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xf8\x03\0\0\0\0\0\0\x04\0\
\0\0\x07\0\0\0\x08\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x18\x04\0\0\0\0\0\0\x04\
\0\0\0\x07\0\0\0\x28\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x38\x04\0\0\0\0\0\0\
\x04\0\0\0\x07\0\0\0\x48\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x58\x04\0\0\0\0\0\
\0\x04\0\0\0\x07\0\0\0\x68\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x78\x04\0\0\0\0\
\0\0\x04\0\0\0\x07\0\0\0\x88\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x98\x04\0\0\0\
\0\0\0\x04\0\0\0\x07\0\0\0\xa8\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xb8\x04\0\0\
\0\0\0\0\x04\0\0\0\x07\0\0\0\xc8\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xd8\x04\0\
\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xe8\x04\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xf8\x04\
\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x08\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x18\
\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x28\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\
\x38\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x48\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\
\0\x58\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x68\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\
\0\0\x78\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x88\x05\0\0\0\0\0\0\x04\0\0\0\x07\
\0\0\0\x98\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xa8\x05\0\0\0\0\0\0\x04\0\0\0\
\x07\0\0\0\xb8\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xc8\x05\0\0\0\0\0\0\x04\0\0\
\0\x07\0\0\0\xd8\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xe8\x05\0\0\0\0\0\0\x04\0\
\0\0\x07\0\0\0\xf8\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x08\x06\0\0\0\0\0\0\x04\
\0\0\0\x07\0\0\0\x18\x06\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x28\x06\0\0\0\0\0\0\
\x04\0\0\0\x07\0\0\0\x38\x06\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x48\x06\0\0\0\0\0\
\0\x04\0\0\0\x07\0\0\0\x58\x06\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x68\x06\0\0\0\0\
\0\0\x04\0\0\0\x07\0\0\0\x78\x06\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x88\x06\0\0\0\
\0\0\0\x04\0\0\0\x07\0\0\0\x98\x06\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xa8\x06\0\0\
\0\0\0\0\x04\0\0\0\x07\0\0\0\xb8\x06\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x14\x18\
\x19\x1a\x1b\x1c\x1d\x16\x15\x17\0\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\
\x42\x54\x46\x2e\x65\x78\x74\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\
\x65\x5f\x6e\x65\x74\x5f\x64\x65\x76\x5f\x78\x6d\x69\x74\x5f\x74\x69\x6d\x65\
\x6f\x75\x74\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\
\x6e\x74\x2f\x6e\x65\x74\x5f\x64\x65\x76\x5f\x78\x6d\x69\x74\x5f\x74\x69\x6d\
\x65\x6f\x75\x74\0\x2e\x6d\x61\x70\x73\0\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\
\x72\x65\x5f\x63\x6f\x75\x6e\x74\x5f\x6d\x61\x70\0\x68\x77\x5f\x61\x72\x67\x73\
\x5f\x6d\x61\x70\0\x6e\x69\x63\x5f\x66\x61\x69\x6c\x75\x72\x65\x5f\x63\x68\x61\
\x6e\x6e\x65\x6c\x5f\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\
\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\x62\
\x6a\x5f\x6d\x61\x70\0\x5f\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\
\x6d\x61\x70\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x62\x70\
\x66\x5f\x6e\x65\x74\x69\x66\x5f\x63\x61\x72\x72\x69\x65\x72\x5f\x6f\x66\x66\0\
\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x6e\x65\x74\x69\x66\x5f\x63\x61\
\x72\x72\x69\x65\x72\x5f\x6f\x66\x66\0\x6c\x69\x63\x65\x6e\x73\x65\0\x67\x5f\
\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x31\x5f\x38\0\
\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x31\x5f\x36\0\x4c\x42\x42\x30\x5f\x36\0\
\x4c\x42\x42\x31\x5f\x31\x36\0\x4c\x42\x42\x30\x5f\x31\x36\0\x4c\x42\x42\x31\
\x5f\x31\x33\0\x4c\x42\x42\x30\x5f\x31\x33\0\x4c\x42\x42\x31\x5f\x31\x30\0\x4c\
\x42\x42\x30\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x2a\x01\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa2\x2b\0\0\
\0\0\0\0\x8f\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfe\0\0\0\x01\0\0\
\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x40\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x09\0\0\0\x40\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xe8\x23\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x0e\0\0\0\x03\0\0\
\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x3b\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x80\x04\0\0\0\0\0\0\xe0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x38\x24\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x0e\0\0\0\x05\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x17\x01\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\
\x08\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x5f\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x08\0\0\0\0\0\
\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\x01\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x48\x09\0\0\0\0\0\0\xae\x11\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3a\x01\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x24\0\0\0\0\0\0\x80\0\0\0\0\0\0\0\x0e\
\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\x1a\0\0\0\0\0\0\xc8\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\x25\0\0\0\0\0\0\x90\x06\0\0\0\0\0\0\x0e\0\0\0\x0b\0\0\0\x08\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd6\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\
\0\0\0\0\0\0\0\x98\x2b\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x32\x01\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xc0\x21\0\0\0\0\0\0\x28\x02\0\0\0\0\0\0\x01\0\0\0\x0d\0\0\0\x08\0\0\0\0\0\0\0\
\x18\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct nic_bpf *nic_bpf::open(const struct bpf_object_open_opts *opts) { return nic_bpf__open_opts(opts); }
struct nic_bpf *nic_bpf::open_and_load() { return nic_bpf__open_and_load(); }
int nic_bpf::load(struct nic_bpf *skel) { return nic_bpf__load(skel); }
int nic_bpf::attach(struct nic_bpf *skel) { return nic_bpf__attach(skel); }
void nic_bpf::detach(struct nic_bpf *skel) { nic_bpf__detach(skel); }
void nic_bpf::destroy(struct nic_bpf *skel) { nic_bpf__destroy(skel); }
const void *nic_bpf::elf_bytes(size_t *sz) { return nic_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
nic_bpf__assert(struct nic_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __NIC_BPF_SKEL_H__ */
