/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __CPU_BPF_SKEL_H__
#define __CPU_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct cpu_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__probe_match_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *proc_obj_map;
		struct bpf_map *g_thread_map;
		struct bpf_map *g_proc_map;
		struct bpf_map *args_map;
		struct bpf_map *g_thread_output;
	} maps;
	struct {
		struct bpf_program *bpf_finish_task_switch;
	} progs;
	struct {
		struct bpf_link *bpf_finish_task_switch;
	} links;

#ifdef __cplusplus
	static inline struct cpu_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct cpu_bpf *open_and_load();
	static inline int load(struct cpu_bpf *skel);
	static inline int attach(struct cpu_bpf *skel);
	static inline void detach(struct cpu_bpf *skel);
	static inline void destroy(struct cpu_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
cpu_bpf__destroy(struct cpu_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
cpu_bpf__create_skeleton(struct cpu_bpf *obj);

static inline struct cpu_bpf *
cpu_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct cpu_bpf *obj;
	int err;

	obj = (struct cpu_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = cpu_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	cpu_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct cpu_bpf *
cpu_bpf__open(void)
{
	return cpu_bpf__open_opts(NULL);
}

static inline int
cpu_bpf__load(struct cpu_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct cpu_bpf *
cpu_bpf__open_and_load(void)
{
	struct cpu_bpf *obj;
	int err;

	obj = cpu_bpf__open();
	if (!obj)
		return NULL;
	err = cpu_bpf__load(obj);
	if (err) {
		cpu_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
cpu_bpf__attach(struct cpu_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
cpu_bpf__detach(struct cpu_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *cpu_bpf__elf_bytes(size_t *sz);

static inline int
cpu_bpf__create_skeleton(struct cpu_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "cpu_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 8;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "__probe_match_map";
	s->maps[0].map = &obj->maps.__probe_match_map;

	s->maps[1].name = "cgrp_obj_map";
	s->maps[1].map = &obj->maps.cgrp_obj_map;

	s->maps[2].name = "nm_obj_map";
	s->maps[2].map = &obj->maps.nm_obj_map;

	s->maps[3].name = "proc_obj_map";
	s->maps[3].map = &obj->maps.proc_obj_map;

	s->maps[4].name = "g_thread_map";
	s->maps[4].map = &obj->maps.g_thread_map;

	s->maps[5].name = "g_proc_map";
	s->maps[5].map = &obj->maps.g_proc_map;

	s->maps[6].name = "args_map";
	s->maps[6].map = &obj->maps.args_map;

	s->maps[7].name = "g_thread_output";
	s->maps[7].map = &obj->maps.g_thread_output;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_finish_task_switch";
	s->progs[0].prog = &obj->progs.bpf_finish_task_switch;
	s->progs[0].link = &obj->links.bpf_finish_task_switch;

	s->data = (void *)cpu_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *cpu_bpf__elf_bytes(size_t *sz)
{
	*sz = 8776;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\x1f\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\x7b\x1a\xe0\xff\0\0\0\0\x79\x19\0\0\0\0\0\0\xbf\x93\0\0\0\0\0\0\x07\x03\
\0\0\x10\x07\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfc\xff\xff\xff\xb7\x02\0\0\
\x04\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa6\xfc\xff\0\0\0\0\x85\0\0\0\x0e\0\0\0\xbf\
\x07\0\0\0\0\0\0\x85\0\0\0\x05\0\0\0\xbf\x08\0\0\0\0\0\0\x85\0\0\0\x08\0\0\0\
\x7b\x0a\xe8\xff\0\0\0\0\x63\x6a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\
\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\
\x06\0\0\0\0\0\0\x7b\x8a\xf0\xff\0\0\0\0\x15\x06\x13\0\0\0\0\0\x07\x09\0\0\x18\
\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xfc\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\
\xbf\x93\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xfc\xff\0\0\0\0\x55\x01\x0b\0\
\0\0\0\0\x79\xa1\xe8\xff\0\0\0\0\x63\x16\x30\0\0\0\0\0\x79\xa1\xf0\xff\0\0\0\0\
\x7b\x16\x40\0\0\0\0\0\x85\0\0\0\x0e\0\0\0\x77\0\0\0\x20\0\0\0\x63\x06\x48\0\0\
\0\0\0\x07\x06\0\0\x4c\0\0\0\xbf\x61\0\0\0\0\0\0\xb7\x02\0\0\x10\0\0\0\x85\0\0\
\0\x10\0\0\0\x63\x7a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\
\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x07\0\0\0\
\0\0\0\x15\x07\x43\0\0\0\0\0\x79\x71\x40\0\0\0\0\0\x15\x01\x41\0\0\0\0\0\x1f\
\x18\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\xb7\x02\0\0\x01\0\0\0\x79\xa3\xf0\xff\0\0\
\0\0\x2d\x38\x01\0\0\0\0\0\xb7\x02\0\0\0\0\0\0\xb7\x06\0\0\0\0\0\0\x55\x02\x01\
\0\0\0\0\0\xbf\x86\0\0\0\0\0\0\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\
\x02\0\0\xfc\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\
\0\x18\x01\0\0\0\xf2\x05\x2a\0\0\0\0\x01\0\0\0\x15\0\x03\0\0\0\0\0\x79\x02\x08\
\0\0\0\0\0\x15\x02\x01\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x3d\x61\x29\0\0\0\0\0\x7b\
\x67\x38\0\0\0\0\0\x85\0\0\0\x05\0\0\0\xbf\x08\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x63\x1a\xfc\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xfc\xff\xff\xff\x18\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\x18\x01\0\0\0\xac\x23\xfc\
\0\0\0\0\x06\0\0\0\x15\0\x03\0\0\0\0\0\x79\x02\0\0\0\0\0\0\x15\x02\x01\0\0\0\0\
\0\xbf\x21\0\0\0\0\0\0\x79\x72\x08\0\0\0\0\0\x3d\x82\x17\0\0\0\0\0\xbf\x83\0\0\
\0\0\0\0\x1f\x23\0\0\0\0\0\0\x2d\x31\x14\0\0\0\0\0\xb7\x01\0\0\0\x04\0\0\x63\
\x17\0\0\0\0\0\0\x7b\x87\x08\0\0\0\0\0\x79\xa1\xe0\xff\0\0\0\0\x18\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\xbf\x74\0\0\0\
\0\0\0\xb7\x05\0\0\x68\0\0\0\x85\0\0\0\x19\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x17\
\x30\0\0\0\0\0\x63\x17\0\0\0\0\0\0\x7b\x17\x38\0\0\0\0\0\x7b\x17\x40\0\0\0\0\0\
\x7b\x17\x48\0\0\0\0\0\x7b\x17\x50\0\0\0\0\0\x7b\x17\x58\0\0\0\0\0\x7b\x17\x60\
\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x7b\x17\x40\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\
\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xb8\x06\0\0\xb8\x06\0\0\xa6\x08\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\
\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x30\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\
\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\
\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\
\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\
\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\
\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x50\0\0\0\0\0\
\0\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\
\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\
\x11\0\0\0\xc0\0\0\0\x5d\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x17\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x68\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\
\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x19\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\
\0\0\xc0\0\0\0\x75\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x1d\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x82\0\0\0\0\0\0\x0e\x1f\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x22\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x21\0\0\0\0\0\0\
\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x05\0\0\0\x80\0\0\0\x32\0\0\0\x01\0\
\0\0\xc0\0\0\0\x8d\0\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x26\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x0f\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x25\0\0\0\xc0\0\0\0\x96\0\0\0\0\0\0\x0e\x27\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x2a\0\0\0\xa6\0\0\0\x09\0\0\x04\x50\x01\0\0\
\0\0\0\0\x2b\0\0\0\0\0\0\0\xae\0\0\0\x31\0\0\0\x80\x08\0\0\xb6\0\0\0\x33\0\0\0\
\xc0\x08\0\0\xc0\0\0\0\x35\0\0\0\xe0\x08\0\0\xc8\0\0\0\x31\0\0\0\0\x09\0\0\xd3\
\0\0\0\x31\0\0\0\x40\x09\0\0\xdc\0\0\0\x38\0\0\0\x80\x09\0\0\xe7\0\0\0\x31\0\0\
\0\0\x0a\0\0\xf8\0\0\0\x31\0\0\0\x40\x0a\0\0\0\0\0\0\x02\0\0\x05\x10\x01\0\0\
\x01\x01\0\0\x2c\0\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x0b\x01\0\0\x04\0\0\
\x04\x10\x01\0\0\x18\x01\0\0\x2f\0\0\0\0\0\0\0\x1d\x01\0\0\x2d\0\0\0\xc0\x07\0\
\0\x20\x01\0\0\x2d\0\0\0\0\x08\0\0\x23\x01\0\0\x2d\0\0\0\x40\x08\0\0\x2a\x01\0\
\0\0\0\0\x08\x2e\0\0\0\x30\x01\0\0\0\0\0\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x2d\0\0\0\x04\0\0\0\x1f\0\0\0\0\0\0\0\x04\0\0\x04\x10\x01\0\0\x18\
\x01\0\0\x32\0\0\0\0\0\0\0\x1d\x01\0\0\x31\0\0\0\xc0\x07\0\0\x20\x01\0\0\x31\0\
\0\0\0\x08\0\0\x23\x01\0\0\x31\0\0\0\x40\x08\0\0\x43\x01\0\0\0\0\0\x08\x2d\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x31\0\0\0\x04\0\0\0\x1f\0\0\0\x47\x01\0\0\0\0\0\
\x08\x34\0\0\0\x4b\x01\0\0\0\0\0\x08\x02\0\0\0\x51\x01\0\0\0\0\0\x08\x36\0\0\0\
\x55\x01\0\0\0\0\0\x08\x37\0\0\0\x5b\x01\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\
\0\0\0\0\0\x03\0\0\0\0\x31\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x01\0\0\x0d\x02\0\
\0\0\x68\x01\0\0\x29\0\0\0\x6c\x01\0\0\x01\0\0\x0c\x39\0\0\0\x88\x08\0\0\0\0\0\
\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x3b\0\0\0\x04\0\0\0\x04\0\
\0\0\x8d\x08\0\0\0\0\0\x0e\x3c\0\0\0\x01\0\0\0\x98\x08\0\0\x08\0\0\x0f\0\0\0\0\
\x0c\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\0\0\0\0\x20\0\0\0\x16\0\0\0\0\0\0\0\x20\
\0\0\0\x18\0\0\0\0\0\0\0\x20\0\0\0\x1c\0\0\0\0\0\0\0\x20\0\0\0\x20\0\0\0\0\0\0\
\0\x20\0\0\0\x24\0\0\0\0\0\0\0\x20\0\0\0\x28\0\0\0\0\0\0\0\x20\0\0\0\x9e\x08\0\
\0\x01\0\0\x0f\0\0\0\0\x3d\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\
\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\
\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x5f\x5f\x70\x72\x6f\x62\
\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\
\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\
\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\
\x70\0\x67\x5f\x70\x72\x6f\x63\x5f\x6d\x61\x70\0\x61\x72\x67\x73\x5f\x6d\x61\
\x70\0\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6f\x75\x74\x70\x75\x74\0\x70\x74\
\x5f\x72\x65\x67\x73\0\x6f\x72\x69\x67\x5f\x78\x30\0\x73\x79\x73\x63\x61\x6c\
\x6c\x6e\x6f\0\x75\x6e\x75\x73\x65\x64\x32\0\x73\x64\x65\x69\x5f\x74\x74\x62\
\x72\x31\0\x70\x6d\x72\x5f\x73\x61\x76\x65\0\x73\x74\x61\x63\x6b\x66\x72\x61\
\x6d\x65\0\x6c\x6f\x63\x6b\x64\x65\x70\x5f\x68\x61\x72\x64\x69\x72\x71\x73\0\
\x65\x78\x69\x74\x5f\x72\x63\x75\0\x75\x73\x65\x72\x5f\x72\x65\x67\x73\0\x75\
\x73\x65\x72\x5f\x70\x74\x5f\x72\x65\x67\x73\0\x72\x65\x67\x73\0\x73\x70\0\x70\
\x63\0\x70\x73\x74\x61\x74\x65\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x36\x34\0\x73\x33\x32\0\
\x5f\x5f\x73\x33\x32\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x74\x78\0\x62\x70\x66\x5f\x66\x69\x6e\x69\
\x73\x68\x5f\x74\x61\x73\x6b\x5f\x73\x77\x69\x74\x63\x68\0\x6b\x70\x72\x6f\x62\
\x65\x2f\x66\x69\x6e\x69\x73\x68\x5f\x74\x61\x73\x6b\x5f\x73\x77\x69\x74\x63\
\x68\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\
\x65\x72\x2d\x32\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\
\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\
\x2f\x73\x72\x63\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2f\x63\x70\x75\x2e\
\x62\x70\x66\x2e\x63\0\x4b\x50\x52\x4f\x42\x45\x28\x66\x69\x6e\x69\x73\x68\x5f\
\x74\x61\x73\x6b\x5f\x73\x77\x69\x74\x63\x68\x2c\x20\x70\x74\x5f\x72\x65\x67\
\x73\x29\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\
\x74\x72\x75\x63\x74\x2a\x20\x70\x72\x65\x76\x20\x3d\x20\x28\x73\x74\x72\x75\
\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x20\x2a\x29\x50\x54\
\x5f\x52\x45\x47\x53\x5f\x50\x41\x52\x4d\x31\x28\x63\x74\x78\x29\x3b\0\x20\x20\
\x20\x20\x69\x6e\x74\x20\x70\x72\x65\x76\x5f\x70\x69\x64\x20\x3d\x20\x5f\x28\
\x70\x72\x65\x76\x2d\x3e\x70\x69\x64\x29\x3b\0\x20\x20\x20\x20\x69\x6e\x74\x20\
\x70\x69\x64\x20\x3d\x20\x28\x69\x6e\x74\x29\x62\x70\x66\x5f\x67\x65\x74\x5f\
\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x3b\0\
\x20\x20\x20\x20\x75\x36\x34\x20\x74\x73\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\
\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\x28\x29\x3b\0\x20\x20\x20\x20\x75\x33\
\x32\x20\x63\x70\x75\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x73\x6d\x70\
\x5f\x70\x72\x6f\x63\x65\x73\x73\x6f\x72\x5f\x69\x64\x28\x29\x3b\0\x2f\x68\x6f\
\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\
\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x32\
\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\
\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\
\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x74\x68\x72\x65\x61\x64\
\x5f\x6d\x61\x70\x2e\x68\0\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x28\x73\
\x74\x72\x75\x63\x74\x20\x74\x68\x72\x65\x61\x64\x5f\x64\x61\x74\x61\x20\x2a\
\x29\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\
\x6d\x28\x26\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\x70\x2c\x20\x26\x70\
\x69\x64\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x64\x61\x74\x61\x20\x3d\x3d\
\x20\x4e\x55\x4c\x4c\x29\x20\x7b\0\x20\x20\x20\x20\x75\x6e\x73\x69\x67\x6e\x65\
\x64\x20\x69\x6e\x74\x20\x73\x74\x61\x74\x65\x20\x3d\x20\x5f\x28\x70\x72\x65\
\x76\x2d\x3e\x5f\x5f\x73\x74\x61\x74\x65\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\
\x28\x73\x74\x61\x74\x65\x20\x21\x3d\x20\x54\x41\x53\x4b\x5f\x52\x55\x4e\x4e\
\x49\x4e\x47\x29\x20\x7b\0\x20\x20\x20\x20\x64\x61\x74\x61\x2d\x3e\x63\x70\x75\
\x2e\x6f\x66\x66\x5f\x63\x70\x75\x5f\x6e\x6f\x20\x3d\x20\x63\x70\x75\x3b\0\x20\
\x20\x20\x20\x64\x61\x74\x61\x2d\x3e\x63\x70\x75\x2e\x6f\x66\x66\x5f\x63\x70\
\x75\x5f\x73\x74\x61\x72\x74\x20\x3d\x20\x73\x74\x61\x72\x74\x3b\0\x20\x20\x20\
\x20\x64\x61\x74\x61\x2d\x3e\x63\x70\x75\x2e\x70\x72\x65\x65\x6d\x70\x74\x5f\
\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\
\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x49\x4e\x54\
\x5f\x4c\x45\x4e\x3b\0\x20\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x62\x70\x66\x5f\
\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\x28\x26\x64\
\x61\x74\x61\x2d\x3e\x63\x70\x75\x2e\x70\x72\x65\x65\x6d\x70\x74\x5f\x63\x6f\
\x6d\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x64\x61\x74\x61\x2d\x3e\x63\x70\
\x75\x2e\x70\x72\x65\x65\x6d\x70\x74\x5f\x63\x6f\x6d\x6d\x29\x29\x3b\0\x20\x20\
\x20\x20\x69\x66\x20\x28\x64\x61\x74\x61\x2d\x3e\x63\x70\x75\x2e\x6f\x66\x66\
\x5f\x63\x70\x75\x5f\x73\x74\x61\x72\x74\x20\x3d\x3d\x20\x30\x29\x20\x7b\0\x20\
\x20\x20\x20\x64\x65\x6c\x74\x61\x20\x3d\x20\x28\x65\x6e\x64\x20\x3e\x20\x64\
\x61\x74\x61\x2d\x3e\x63\x70\x75\x2e\x6f\x66\x66\x5f\x63\x70\x75\x5f\x73\x74\
\x61\x72\x74\x29\x20\x3f\x20\x28\x65\x6e\x64\x20\x2d\x20\x64\x61\x74\x61\x2d\
\x3e\x63\x70\x75\x2e\x6f\x66\x66\x5f\x63\x70\x75\x5f\x73\x74\x61\x72\x74\x29\
\x20\x3a\x20\x30\x3b\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\
\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\
\x67\x6f\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\
\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\
\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2f\
\x2e\x2f\x61\x72\x67\x73\x5f\x6d\x61\x70\x2e\x68\0\x20\x20\x20\x20\x75\x33\x32\
\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x20\x20\x20\x20\x61\x72\x67\x73\x20\x3d\
\x20\x28\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x61\x72\x67\x73\x5f\
\x73\x20\x2a\x29\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x65\x6c\x65\x6d\x28\x26\x61\x72\x67\x73\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\
\x79\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x61\x72\x67\x73\x20\x26\x26\x20\
\x61\x72\x67\x73\x2d\x3e\x6f\x66\x66\x6c\x69\x6e\x65\x5f\x74\x68\x72\x20\x21\
\x3d\x20\x30\x29\x20\x7b\0\x20\x20\x20\x20\x69\x66\x20\x28\x64\x65\x6c\x74\x61\
\x20\x3e\x20\x67\x65\x74\x5f\x6f\x66\x66\x6c\x69\x6e\x65\x5f\x74\x68\x72\x28\
\x29\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x64\x61\x74\x61\x2d\x3e\x63\
\x70\x75\x2e\x6f\x66\x66\x5f\x63\x70\x75\x5f\x6e\x73\x20\x3d\x20\x64\x65\x6c\
\x74\x61\x3b\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\
\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\
\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\
\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2f\x2e\x2f\
\x6f\x75\x74\x70\x75\x74\x5f\x74\x68\x72\x65\x61\x64\x2e\x68\0\x20\x20\x20\x20\
\x69\x66\x20\x28\x61\x72\x67\x73\x20\x26\x26\x20\x61\x72\x67\x73\x2d\x3e\x72\
\x65\x70\x6f\x72\x74\x5f\x70\x65\x72\x69\x6f\x64\x20\x21\x3d\x20\x30\x29\x20\
\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\x49\x53\x5f\x54\x48\x52\x45\x41\x44\x5f\
\x54\x4d\x4f\x55\x54\x28\x73\x74\x61\x74\x73\x5f\x74\x73\x2c\x20\x74\x73\x2c\
\x20\x70\x65\x72\x69\x6f\x64\x2c\x20\x63\x70\x75\x2c\x20\x74\x6d\x6f\x75\x74\
\x29\x3b\0\x20\x20\x20\x20\x76\x61\x6c\x2d\x3e\x66\x6c\x61\x67\x73\x20\x3d\x20\
\x66\x6c\x61\x67\x73\x3b\0\x20\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x62\x70\x66\
\x5f\x70\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\
\x63\x74\x78\x2c\x20\x26\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6f\x75\x74\x70\
\x75\x74\x2c\x20\x42\x50\x46\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\
\x50\x55\x2c\x20\x76\x61\x6c\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\
\x75\x63\x74\x20\x74\x68\x72\x65\x61\x64\x5f\x64\x61\x74\x61\x29\x29\x3b\0\x20\
\x20\x20\x20\x20\x20\x20\x20\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\
\x6d\x73\x65\x74\x28\x26\x28\x76\x61\x6c\x2d\x3e\x63\x70\x75\x29\x2c\x20\x30\
\x78\x30\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x76\x61\x6c\x2d\x3e\x63\x70\x75\
\x29\x29\x3b\0\x20\x20\x20\x20\x76\x61\x6c\x2d\x3e\x66\x6c\x61\x67\x73\x20\x3d\
\x20\x30\x3b\0\x20\x20\x20\x20\x64\x61\x74\x61\x2d\x3e\x63\x70\x75\x2e\x6f\x66\
\x66\x5f\x63\x70\x75\x5f\x73\x74\x61\x72\x74\x20\x3d\x20\x30\x3b\0\x20\x20\x20\
\x20\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x63\x68\x61\x72\0\x67\x5f\x6c\x69\
\x6e\x73\x65\x6e\x63\x65\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\
\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x3c\x03\0\0\x50\x03\0\
\0\0\0\0\0\x08\0\0\0\x83\x01\0\0\x01\0\0\0\0\0\0\0\x3a\0\0\0\x10\0\0\0\x83\x01\
\0\0\x33\0\0\0\0\0\0\0\x9d\x01\0\0\x01\x02\0\0\0\xa4\x01\0\x08\0\0\0\x9d\x01\0\
\0\x25\x02\0\0\x36\xac\x01\0\x10\0\0\0\x9d\x01\0\0\x6e\x02\0\0\x14\xb0\x01\0\
\x28\0\0\0\x9d\x01\0\0\0\0\0\0\0\0\0\0\x30\0\0\0\x9d\x01\0\0\x6e\x02\0\0\x14\
\xb0\x01\0\x48\0\0\0\x9d\x01\0\0\x8f\x02\0\0\x14\xb8\x01\0\x58\0\0\0\x9d\x01\0\
\0\xbe\x02\0\0\x0e\xbc\x01\0\x68\0\0\0\x9d\x01\0\0\xdf\x02\0\0\x0f\xc0\x01\0\
\x88\0\0\0\x9d\x01\0\0\0\0\0\0\0\0\0\0\x90\0\0\0\x09\x03\0\0\x72\x03\0\0\x22\
\x90\0\0\xb0\0\0\0\x9d\x01\0\0\xbe\x02\0\0\x0e\xbc\x01\0\xb8\0\0\0\x9d\x01\0\0\
\xbd\x03\0\0\x09\x9c\0\0\xc0\0\0\0\x9d\x01\0\0\xd5\x03\0\0\x1a\xac\0\0\xf8\0\0\
\0\x9d\x01\0\0\0\x04\0\0\x09\xbc\0\0\0\x01\0\0\x9d\x01\0\0\x21\x04\0\0\x1a\xd0\
\0\0\x10\x01\0\0\x9d\x01\0\0\x41\x04\0\0\x1d\xcc\0\0\x20\x01\0\0\x9d\x01\0\0\
\x66\x04\0\0\x1c\xd4\0\0\x28\x01\0\0\x9d\x01\0\0\x66\x04\0\0\x37\xd4\0\0\x30\
\x01\0\0\x9d\x01\0\0\x66\x04\0\0\x1a\xd4\0\0\x38\x01\0\0\x9d\x01\0\0\xa8\x04\0\
\0\x2b\xd8\0\0\x40\x01\0\0\x9d\x01\0\0\xa8\x04\0\0\x0b\xd8\0\0\x68\x01\0\0\x9d\
\x01\0\0\0\0\0\0\0\0\0\0\x70\x01\0\0\x09\x03\0\0\x72\x03\0\0\x22\x90\0\0\x90\
\x01\0\0\x9d\x01\0\0\xbd\x03\0\0\x09\0\x01\0\x98\x01\0\0\x9d\x01\0\0\x01\x05\0\
\0\x13\x10\x01\0\xa0\x01\0\0\x9d\x01\0\0\x01\x05\0\0\x09\x10\x01\0\xa8\x01\0\0\
\x9d\x01\0\0\x29\x05\0\0\x0d\x20\x01\0\xf0\x01\0\0\x7c\x05\0\0\xe3\x05\0\0\x09\
\xcc\0\0\0\x02\0\0\x9d\x01\0\0\0\0\0\0\0\0\0\0\x08\x02\0\0\x7c\x05\0\0\xf4\x05\
\0\0\x22\xdc\0\0\x30\x02\0\0\x7c\x05\0\0\x3b\x06\0\0\x0e\xe0\0\0\x38\x02\0\0\
\x7c\x05\0\0\x3b\x06\0\0\x17\xe0\0\0\x40\x02\0\0\x7c\x05\0\0\x3b\x06\0\0\x09\
\xe0\0\0\x50\x02\0\0\x9d\x01\0\0\x65\x06\0\0\x09\x24\x01\0\x58\x02\0\0\x9d\x01\
\0\0\x8a\x06\0\0\x1e\x28\x01\0\x60\x02\0\0\xb0\x06\0\0\xbe\x02\0\0\x0e\xdc\0\0\
\x78\x02\0\0\x7c\x05\0\0\xe3\x05\0\0\x09\x90\0\0\x88\x02\0\0\x9d\x01\0\0\x8a\
\x06\0\0\x1e\x28\x01\0\x90\x02\0\0\x7c\x05\0\0\xf4\x05\0\0\x22\xa0\0\0\xb8\x02\
\0\0\x7c\x05\0\0\x1c\x07\0\0\x0e\xa4\0\0\xc0\x02\0\0\x7c\x05\0\0\x1c\x07\0\0\
\x17\xa4\0\0\xc8\x02\0\0\x7c\x05\0\0\x1c\x07\0\0\x09\xa4\0\0\xd8\x02\0\0\xb0\
\x06\0\0\x48\x07\0\0\x09\xf4\0\0\x08\x03\0\0\xb0\x06\0\0\x83\x07\0\0\x10\x2c\
\x01\0\x10\x03\0\0\xb0\x06\0\0\x48\x07\0\0\x09\xf4\0\0\x18\x03\0\0\xb0\x06\0\0\
\x9b\x07\0\0\x0b\x30\x01\0\x60\x03\0\0\xb0\x06\0\0\x07\x08\0\0\x09\x40\x01\0\
\x68\x03\0\0\xb0\x06\0\0\x45\x08\0\0\x10\x34\x01\0\x70\x03\0\0\xb0\x06\0\0\x07\
\x08\0\0\x09\x40\x01\0\xa8\x03\0\0\x9d\x01\0\0\x59\x08\0\0\x1d\x34\x01\0\xb0\
\x03\0\0\x9d\x01\0\0\x7a\x08\0\0\x05\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x01\0\
\0\0\0\x03\0\x58\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1e\x01\0\0\0\0\x03\0\xb0\x03\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\x03\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\xf1\0\0\0\0\0\x03\0\xf0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x16\x01\0\0\0\0\
\x03\0\x50\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf8\0\0\0\0\0\x03\0\xa0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x07\x01\0\0\0\0\x03\0\xd8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x82\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\xc0\x03\0\0\0\0\0\0\x6a\0\0\0\x11\0\x06\
\0\x80\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x2a\0\0\0\x11\0\x06\0\xc0\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\x14\0\0\0\x11\0\x06\0\xe0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\
\xcd\0\0\0\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x58\0\0\0\x11\0\x06\0\
\0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x33\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x20\
\0\0\0\0\0\0\0\x40\0\0\0\x11\0\x06\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x4b\0\
\0\0\x11\0\x06\0\x60\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x77\0\0\0\x11\0\x06\0\xa0\
\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x70\x01\
\0\0\0\0\0\0\x01\0\0\0\x0a\0\0\0\x08\x02\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x90\
\x02\0\0\0\0\0\0\x01\0\0\0\x0b\0\0\0\x20\x03\0\0\0\0\0\0\x01\0\0\0\x0c\0\0\0\
\x5c\x06\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\x68\x06\0\0\0\0\0\0\x04\0\0\0\x0f\0\0\
\0\x74\x06\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\x80\x06\0\0\0\0\0\0\x04\0\0\0\x11\0\
\0\0\x8c\x06\0\0\0\0\0\0\x04\0\0\0\x0a\0\0\0\x98\x06\0\0\0\0\0\0\x04\0\0\0\x12\
\0\0\0\xa4\x06\0\0\0\0\0\0\x04\0\0\0\x0b\0\0\0\xb0\x06\0\0\0\0\0\0\x04\0\0\0\
\x0c\0\0\0\xc8\x06\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x01\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x30\x01\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\x01\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\x01\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\x01\0\0\0\0\0\0\
\x04\0\0\0\x01\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\x01\0\0\0\0\0\
\0\x04\0\0\0\x01\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\x01\0\0\0\0\
\0\0\x04\0\0\0\x01\0\0\0\xe0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\x01\0\0\0\
\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x02\0\0\0\
\0\0\0\x04\0\0\0\x01\0\0\0\x20\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x30\x02\0\0\
\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\x02\0\
\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x70\x02\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x90\
\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xb0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\xd0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\
\0\0\xf0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\
\0\0\x10\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x03\0\0\0\0\0\0\x04\0\0\0\x01\
\0\0\0\x30\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\x03\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x50\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\x03\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\x10\x14\x15\x16\x17\x18\x11\x19\x12\x13\0\x2e\x74\x65\x78\x74\0\
\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x67\x5f\x74\x68\x72\x65\x61\
\x64\x5f\x6f\x75\x74\x70\x75\x74\0\x2e\x6d\x61\x70\x73\0\x61\x72\x67\x73\x5f\
\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\
\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\
\0\x5f\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x67\
\x5f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\x70\0\x67\x5f\x70\x72\x6f\x63\x5f\x6d\
\x61\x70\0\x62\x70\x66\x5f\x66\x69\x6e\x69\x73\x68\x5f\x74\x61\x73\x6b\x5f\x73\
\x77\x69\x74\x63\x68\0\x2e\x72\x65\x6c\x6b\x70\x72\x6f\x62\x65\x2f\x66\x69\x6e\
\x69\x73\x68\x5f\x74\x61\x73\x6b\x5f\x73\x77\x69\x74\x63\x68\0\x2e\x6c\x6c\x76\
\x6d\x5f\x61\x64\x64\x72\x73\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x67\x5f\
\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\
\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x39\0\
\x4c\x42\x42\x30\x5f\x31\x39\0\x4c\x42\x42\x30\x5f\x37\0\x4c\x42\x42\x30\x5f\
\x31\x36\0\x4c\x42\x42\x30\x5f\x33\0\x4c\x42\x42\x30\x5f\x31\x32\0\x4c\x42\x42\
\x30\x5f\x32\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe2\x1d\0\0\0\0\0\0\x26\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\x06\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9d\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xc0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x99\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\xb8\x19\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x0c\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\xc5\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x24\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x04\0\0\0\0\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xec\0\0\0\
\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x05\0\0\0\0\0\0\x76\x0f\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\0\0\0\x09\0\0\0\x40\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x1a\0\0\0\0\0\0\x90\0\0\0\0\0\0\0\x0c\0\0\0\
\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x80\x14\0\0\0\0\0\0\x70\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x98\x1a\0\0\0\0\0\0\x40\x03\0\0\0\0\0\0\x0c\0\0\0\x09\0\0\0\x08\0\0\
\0\0\0\0\0\x10\0\0\0\0\0\0\0\xb7\0\0\0\x03\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\
\0\0\0\0\0\xd8\x1d\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\xe0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\
\x17\0\0\0\0\0\0\xc8\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x18\
\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct cpu_bpf *cpu_bpf::open(const struct bpf_object_open_opts *opts) { return cpu_bpf__open_opts(opts); }
struct cpu_bpf *cpu_bpf::open_and_load() { return cpu_bpf__open_and_load(); }
int cpu_bpf::load(struct cpu_bpf *skel) { return cpu_bpf__load(skel); }
int cpu_bpf::attach(struct cpu_bpf *skel) { return cpu_bpf__attach(skel); }
void cpu_bpf::detach(struct cpu_bpf *skel) { cpu_bpf__detach(skel); }
void cpu_bpf::destroy(struct cpu_bpf *skel) { cpu_bpf__destroy(skel); }
const void *cpu_bpf::elf_bytes(size_t *sz) { return cpu_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
cpu_bpf__assert(struct cpu_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __CPU_BPF_SKEL_H__ */
