/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __THREAD_BPF_SKEL_H__
#define __THREAD_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct thread_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__probe_match_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *proc_obj_map;
		struct bpf_map *args_map;
		struct bpf_map *g_thread_map;
		struct bpf_map *g_proc_map;
		struct bpf_map *g_thread_output;
	} maps;
	struct {
		struct bpf_program *bpf_raw_trace_sched_wakeup_new;
	} progs;
	struct {
		struct bpf_link *bpf_raw_trace_sched_wakeup_new;
	} links;

#ifdef __cplusplus
	static inline struct thread_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct thread_bpf *open_and_load();
	static inline int load(struct thread_bpf *skel);
	static inline int attach(struct thread_bpf *skel);
	static inline void detach(struct thread_bpf *skel);
	static inline void destroy(struct thread_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
thread_bpf__destroy(struct thread_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
thread_bpf__create_skeleton(struct thread_bpf *obj);

static inline struct thread_bpf *
thread_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct thread_bpf *obj;
	int err;

	obj = (struct thread_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = thread_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	thread_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct thread_bpf *
thread_bpf__open(void)
{
	return thread_bpf__open_opts(NULL);
}

static inline int
thread_bpf__load(struct thread_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct thread_bpf *
thread_bpf__open_and_load(void)
{
	struct thread_bpf *obj;
	int err;

	obj = thread_bpf__open();
	if (!obj)
		return NULL;
	err = thread_bpf__load(obj);
	if (err) {
		thread_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
thread_bpf__attach(struct thread_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
thread_bpf__detach(struct thread_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *thread_bpf__elf_bytes(size_t *sz);

static inline int
thread_bpf__create_skeleton(struct thread_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "thread_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 8;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "__probe_match_map";
	s->maps[0].map = &obj->maps.__probe_match_map;

	s->maps[1].name = "cgrp_obj_map";
	s->maps[1].map = &obj->maps.cgrp_obj_map;

	s->maps[2].name = "nm_obj_map";
	s->maps[2].map = &obj->maps.nm_obj_map;

	s->maps[3].name = "proc_obj_map";
	s->maps[3].map = &obj->maps.proc_obj_map;

	s->maps[4].name = "args_map";
	s->maps[4].map = &obj->maps.args_map;

	s->maps[5].name = "g_thread_map";
	s->maps[5].map = &obj->maps.g_thread_map;

	s->maps[6].name = "g_proc_map";
	s->maps[6].map = &obj->maps.g_proc_map;

	s->maps[7].name = "g_thread_output";
	s->maps[7].map = &obj->maps.g_thread_output;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_raw_trace_sched_wakeup_new";
	s->progs[0].prog = &obj->progs.bpf_raw_trace_sched_wakeup_new;
	s->progs[0].link = &obj->links.bpf_raw_trace_sched_wakeup_new;

	s->data = (void *)thread_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *thread_bpf__elf_bytes(size_t *sz)
{
	*sz = 7936;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc0\x1b\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\x79\x16\0\0\0\0\0\0\xbf\x63\0\0\0\0\0\0\x07\x03\0\0\x14\x07\0\0\xbf\xa1\
\0\0\0\0\0\0\x07\x01\0\0\x80\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\
\0\0\x61\xa7\x80\xff\0\0\0\0\xbf\x63\0\0\0\0\0\0\x07\x03\0\0\x10\x07\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\x80\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\
\x04\0\0\0\x61\xa8\x80\xff\0\0\0\0\x1d\x78\x72\0\0\0\0\0\x63\x7a\x80\xff\0\0\0\
\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\x80\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x85\0\0\0\x01\0\0\0\x15\0\x6b\0\0\0\0\0\x63\x8a\x80\xff\0\0\0\0\xbf\
\xa2\0\0\0\0\0\0\x07\x02\0\0\x80\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x85\0\0\0\x01\0\0\0\x55\0\x64\0\0\0\0\0\xb7\x09\0\0\0\0\0\0\x7b\x9a\x90\xff\
\0\0\0\0\x7b\x9a\xe0\xff\0\0\0\0\x7b\x9a\xd8\xff\0\0\0\0\x7b\x9a\xd0\xff\0\0\0\
\0\x7b\x9a\xc8\xff\0\0\0\0\x7b\x9a\xc0\xff\0\0\0\0\x7b\x9a\xb8\xff\0\0\0\0\x7b\
\x9a\xb0\xff\0\0\0\0\x7b\x9a\xa8\xff\0\0\0\0\x7b\x9a\xa0\xff\0\0\0\0\x7b\x9a\
\x98\xff\0\0\0\0\x7b\x9a\x88\xff\0\0\0\0\x7b\x9a\x80\xff\0\0\0\0\x63\x8a\x94\
\xff\0\0\0\0\x63\x7a\x90\xff\0\0\0\0\xbf\x63\0\0\0\0\0\0\x07\x03\0\0\x28\x07\0\
\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\x85\0\
\0\0\x04\0\0\0\x79\xa3\xf0\xff\0\0\0\0\x15\x03\x05\0\0\0\0\0\x07\x03\0\0\x10\
\x07\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\x98\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\
\x85\0\0\0\x04\0\0\0\xbf\x63\0\0\0\0\0\0\x07\x03\0\0\x78\x07\0\0\xbf\xa1\0\0\0\
\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\
\x79\xa7\xf0\xff\0\0\0\0\x15\x07\x12\0\0\0\0\0\xbf\x73\0\0\0\0\0\0\x07\x03\0\0\
\x04\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb7\x02\0\0\x04\0\0\
\0\x85\0\0\0\x04\0\0\0\x61\xa1\xf0\xff\0\0\0\0\x67\x01\0\0\x20\0\0\0\xc7\x01\0\
\0\x20\0\0\0\x67\x01\0\0\x04\0\0\0\x0f\x17\0\0\0\0\0\0\x07\x07\0\0\x60\0\0\0\
\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\xb7\x02\0\0\x10\0\0\0\xbf\x73\
\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\x79\xa9\xf8\xff\0\0\0\0\xb7\x01\0\0\0\0\0\0\
\x7b\x1a\xe8\xff\0\0\0\0\x07\x06\0\0\xa0\x09\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\
\0\xf0\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\xbf\x63\0\0\0\0\0\0\x85\0\0\0\x04\0\0\
\0\x79\xa3\xf0\xff\0\0\0\0\x07\x03\0\0\x78\x01\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\
\0\0\xe8\xff\xff\xff\xb7\x02\0\0\x08\0\0\0\x85\0\0\0\x04\0\0\0\x79\xa3\xe8\xff\
\0\0\0\0\x07\x03\0\0\x04\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\xff\xff\xff\
\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xf0\xff\0\0\0\0\x67\x01\0\0\
\x20\0\0\0\xc7\x01\0\0\x20\0\0\0\x67\x01\0\0\x04\0\0\0\x79\xa3\xe8\xff\0\0\0\0\
\x0f\x13\0\0\0\0\0\0\x07\x03\0\0\x60\0\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf0\
\xff\xff\xff\xb7\x02\0\0\x10\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xf0\xff\0\0\0\0\
\x79\xa2\xf8\xff\0\0\0\0\x1d\x92\x01\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\x9c\
\xff\0\0\0\0\x63\x8a\xf0\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf0\xff\
\xff\xff\xbf\xa3\0\0\0\0\0\0\x07\x03\0\0\x80\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xb7\x04\0\0\0\0\0\0\x85\0\0\0\x02\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\x40\x05\0\0\x40\x05\0\0\x03\x07\0\0\0\0\0\0\0\
\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\
\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\
\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\
\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\
\0\x30\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\
\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\
\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\
\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\
\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\
\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x50\0\0\0\0\0\
\0\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\
\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\
\x11\0\0\0\xc0\0\0\0\x5d\0\0\0\0\0\0\x0e\x15\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x17\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x19\0\0\0\0\0\0\
\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x05\0\0\0\x80\0\0\0\x32\0\0\0\x01\0\
\0\0\xc0\0\0\0\x75\0\0\0\0\0\0\x0e\x1b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1e\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x68\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x1d\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x7e\0\0\0\0\0\0\x0e\x1f\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x22\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x21\0\0\0\x80\0\0\0\x32\0\0\0\x09\
\0\0\0\xc0\0\0\0\x8b\0\0\0\0\0\0\x0e\x23\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x26\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x0f\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x25\0\0\0\xc0\0\0\0\x96\0\0\0\0\0\0\x0e\x27\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x2a\0\0\0\xa6\0\0\0\x01\0\0\x04\0\0\0\0\xbe\
\0\0\0\x2d\0\0\0\0\0\0\0\xc3\0\0\0\0\0\0\x08\x2c\0\0\0\xc9\0\0\0\0\0\0\x01\x08\
\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x2b\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\
\x01\0\0\x0d\x02\0\0\0\xdc\0\0\0\x29\0\0\0\xe0\0\0\0\x01\0\0\x0c\x2e\0\0\0\xe5\
\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x30\0\0\0\
\x04\0\0\0\x04\0\0\0\xea\x06\0\0\0\0\0\x0e\x31\0\0\0\x01\0\0\0\xf5\x06\0\0\x08\
\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\0\0\0\0\x20\0\0\0\x16\0\
\0\0\0\0\0\0\x20\0\0\0\x18\0\0\0\0\0\0\0\x20\0\0\0\x1c\0\0\0\0\0\0\0\x20\0\0\0\
\x20\0\0\0\0\0\0\0\x20\0\0\0\x24\0\0\0\0\0\0\0\x20\0\0\0\x28\0\0\0\0\0\0\0\x20\
\0\0\0\xfb\x06\0\0\x01\0\0\x0f\0\0\0\0\x32\0\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\
\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\
\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\
\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x5f\x5f\
\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x63\x67\x72\x70\
\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\
\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x61\x72\x67\x73\x5f\x6d\x61\
\x70\0\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\x70\0\x67\x5f\x70\x72\x6f\
\x63\x5f\x6d\x61\x70\0\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6f\x75\x74\x70\x75\
\x74\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\
\x5f\x61\x72\x67\x73\0\x61\x72\x67\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\
\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x62\
\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x5f\x73\x63\x68\x65\x64\x5f\
\x77\x61\x6b\x65\x75\x70\x5f\x6e\x65\x77\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\
\x70\x6f\x69\x6e\x74\x2f\x73\x63\x68\x65\x64\x5f\x77\x61\x6b\x65\x75\x70\x5f\
\x6e\x65\x77\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\
\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\
\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\
\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\x73\x6b\x70\x72\x6f\x62\x65\x2f\x74\x68\
\x72\x65\x61\x64\x2e\x62\x70\x66\x2e\x63\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\
\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\x75\x63\x74\x2a\x20\x74\x61\x73\x6b\
\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x74\x61\x73\x6b\x5f\x73\x74\x72\
\x75\x63\x74\x2a\x29\x63\x74\x78\x2d\x3e\x61\x72\x67\x73\x5b\x30\x5d\x3b\0\x20\
\x20\x20\x20\x74\x67\x69\x64\x20\x3d\x20\x5f\x28\x74\x61\x73\x6b\x2d\x3e\x74\
\x67\x69\x64\x29\x3b\0\x20\x20\x20\x20\x70\x69\x64\x20\x3d\x20\x5f\x28\x74\x61\
\x73\x6b\x2d\x3e\x70\x69\x64\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x70\x69\
\x64\x20\x3d\x3d\x20\x74\x67\x69\x64\x29\x20\x7b\0\x2f\x68\x6f\x6d\x65\x2f\x61\
\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\
\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\x30\
\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\
\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\x73\
\x6b\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x70\x72\x6f\x63\x5f\x6d\x61\x70\x2e\x68\0\
\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x28\x73\x74\x72\x75\x63\x74\x20\
\x70\x72\x6f\x63\x5f\x64\x61\x74\x61\x5f\x73\x20\x2a\x29\x62\x70\x66\x5f\x6d\
\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\x67\x5f\x70\
\x72\x6f\x63\x5f\x6d\x61\x70\x2c\x20\x26\x70\x72\x6f\x63\x5f\x69\x64\x29\x3b\0\
\x20\x20\x20\x20\x69\x66\x20\x28\x67\x65\x74\x5f\x70\x72\x6f\x63\x5f\x65\x6e\
\x74\x72\x79\x28\x74\x67\x69\x64\x29\x20\x26\x26\x20\x21\x67\x65\x74\x5f\x74\
\x68\x72\x65\x61\x64\x28\x70\x69\x64\x29\x29\x20\x7b\0\x2f\x68\x6f\x6d\x65\x2f\
\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\
\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\
\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\
\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x61\
\x73\x6b\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\
\x70\x2e\x68\0\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x28\x73\x74\x72\x75\
\x63\x74\x20\x74\x68\x72\x65\x61\x64\x5f\x64\x61\x74\x61\x20\x2a\x29\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\
\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\x70\x2c\x20\x26\x70\x69\x64\x29\
\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x74\x68\x72\
\x65\x61\x64\x5f\x64\x61\x74\x61\x20\x74\x68\x72\x20\x3d\x20\x7b\x30\x7d\x3b\0\
\x20\x20\x20\x20\x20\x20\x20\x20\x74\x68\x72\x2e\x69\x64\x2e\x70\x69\x64\x20\
\x3d\x20\x70\x69\x64\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x74\x68\x72\x2e\x69\
\x64\x2e\x74\x67\x69\x64\x20\x3d\x20\x74\x67\x69\x64\x3b\0\x20\x20\x20\x20\x20\
\x20\x20\x20\x70\x61\x72\x65\x6e\x74\x20\x3d\x20\x5f\x28\x74\x61\x73\x6b\x2d\
\x3e\x70\x61\x72\x65\x6e\x74\x29\x3b\0\x20\x20\x20\x20\x20\x20\x20\x20\x69\x66\
\x20\x28\x70\x61\x72\x65\x6e\x74\x29\x20\x7b\0\x20\x20\x20\x20\x20\x20\x20\x20\
\x20\x20\x20\x20\x74\x68\x72\x2e\x69\x64\x2e\x70\x70\x69\x64\x20\x3d\x20\x5f\
\x28\x70\x61\x72\x65\x6e\x74\x2d\x3e\x70\x69\x64\x29\x3b\0\x20\x20\x20\x20\x73\
\x74\x72\x75\x63\x74\x20\x70\x69\x64\x20\x2a\x74\x68\x72\x65\x61\x64\x5f\x70\
\x69\x64\x20\x3d\x20\x5f\x28\x63\x75\x72\x5f\x74\x61\x73\x6b\x2d\x3e\x74\x68\
\x72\x65\x61\x64\x5f\x70\x69\x64\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x74\
\x68\x72\x65\x61\x64\x5f\x70\x69\x64\x20\x21\x3d\x20\x30\x29\x20\x7b\0\x20\x20\
\x20\x20\x20\x20\x20\x20\x69\x6e\x74\x20\x6c\x20\x3d\x20\x5f\x28\x74\x68\x72\
\x65\x61\x64\x5f\x70\x69\x64\x2d\x3e\x6c\x65\x76\x65\x6c\x29\x3b\0\x20\x20\x20\
\x20\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x75\x70\x69\x64\x20\x74\x68\
\x72\x65\x61\x64\x5f\x75\x70\x69\x64\x20\x3d\x20\x5f\x28\x74\x68\x72\x65\x61\
\x64\x5f\x70\x69\x64\x2d\x3e\x6e\x75\x6d\x62\x65\x72\x73\x5b\x6c\x5d\x29\x3b\0\
\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x70\x69\x64\x20\x2a\x70\x69\x64\
\x5f\x70\x20\x3d\x20\x28\x73\x74\x72\x75\x63\x74\x20\x70\x69\x64\x20\x2a\x29\
\x30\x3b\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x73\x69\x67\x6e\x61\x6c\
\x5f\x73\x74\x72\x75\x63\x74\x2a\x20\x73\x69\x67\x6e\x61\x6c\x20\x3d\x20\x5f\
\x28\x63\x75\x72\x5f\x74\x61\x73\x6b\x2d\x3e\x73\x69\x67\x6e\x61\x6c\x29\x3b\0\
\x20\x20\x20\x20\x62\x70\x66\x5f\x70\x72\x6f\x62\x65\x5f\x72\x65\x61\x64\x28\
\x26\x70\x69\x64\x5f\x70\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\
\x63\x74\x20\x70\x69\x64\x20\x2a\x29\x2c\x20\x26\x73\x69\x67\x6e\x61\x6c\x2d\
\x3e\x70\x69\x64\x73\x5b\x50\x49\x44\x54\x59\x50\x45\x5f\x50\x47\x49\x44\x5d\
\x29\x3b\0\x20\x20\x20\x20\x69\x6e\x74\x20\x6c\x65\x76\x65\x6c\x20\x3d\x20\x5f\
\x28\x70\x69\x64\x5f\x70\x2d\x3e\x6c\x65\x76\x65\x6c\x29\x3b\0\x20\x20\x20\x20\
\x73\x74\x72\x75\x63\x74\x20\x75\x70\x69\x64\x20\x75\x70\x69\x64\x20\x3d\x20\
\x5f\x28\x70\x69\x64\x5f\x70\x2d\x3e\x6e\x75\x6d\x62\x65\x72\x73\x5b\x6c\x65\
\x76\x65\x6c\x5d\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x75\x70\x69\x64\x2e\
\x6e\x73\x20\x3d\x3d\x20\x6e\x73\x5f\x69\x6e\x66\x6f\x29\x20\x7b\0\x20\x20\x20\
\x20\x20\x20\x20\x20\x74\x68\x72\x2e\x69\x64\x2e\x70\x67\x69\x64\x20\x3d\x20\
\x67\x65\x74\x5f\x74\x61\x73\x6b\x5f\x70\x67\x69\x64\x28\x74\x61\x73\x6b\x29\
\x3b\0\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x75\x70\x64\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x67\x5f\x74\x68\x72\
\x65\x61\x64\x5f\x6d\x61\x70\x2c\x20\x26\x70\x69\x64\x2c\x20\x64\x61\x74\x61\
\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\x20\x20\x20\x20\x72\x65\x74\x75\
\x72\x6e\x20\x62\x70\x66\x5f\x74\x72\x61\x63\x65\x5f\x73\x63\x68\x65\x64\x5f\
\x77\x61\x6b\x65\x75\x70\x5f\x6e\x65\x77\x5f\x66\x75\x6e\x63\x28\x63\x74\x78\
\x2c\x20\x74\x61\x73\x6b\x29\x3b\0\x63\x68\x61\x72\0\x67\x5f\x6c\x69\x6e\x73\
\x65\x6e\x63\x65\0\x2e\x6d\x61\x70\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\x9f\
\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\0\x2c\x03\0\0\x40\x03\0\0\0\0\0\
\0\x08\0\0\0\xff\0\0\0\x01\0\0\0\0\0\0\0\x2f\0\0\0\x10\0\0\0\xff\0\0\0\x32\0\0\
\0\0\0\0\0\x1f\x01\0\0\x86\x01\0\0\x35\x60\x01\0\x08\0\0\0\x1f\x01\0\0\xc8\x01\
\0\0\x0c\x08\x01\0\x20\0\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x1f\x01\0\0\
\xc8\x01\0\0\x0c\x08\x01\0\x40\0\0\0\x1f\x01\0\0\xe2\x01\0\0\x0b\x0c\x01\0\x58\
\0\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\x60\0\0\0\x1f\x01\0\0\xe2\x01\0\0\x0b\x0c\
\x01\0\x78\0\0\0\x1f\x01\0\0\xfa\x01\0\0\x09\x10\x01\0\x90\0\0\0\x11\x02\0\0\0\
\0\0\0\0\0\0\0\x98\0\0\0\x11\x02\0\0\x78\x02\0\0\x22\x90\0\0\xb0\0\0\0\x1f\x01\
\0\0\xc5\x02\0\0\x1e\x1c\x01\0\xc8\0\0\0\xf9\x02\0\0\0\0\0\0\0\0\0\0\xd0\0\0\0\
\xf9\x02\0\0\x62\x03\0\0\x22\x90\0\0\xe8\0\0\0\x1f\x01\0\0\xc5\x02\0\0\x09\x1c\
\x01\0\xf8\0\0\0\x1f\x01\0\0\xad\x03\0\0\x1c\x20\x01\0\x60\x01\0\0\x1f\x01\0\0\
\xd3\x03\0\0\x14\x24\x01\0\x68\x01\0\0\x1f\x01\0\0\xed\x03\0\0\x15\x28\x01\0\
\x70\x01\0\0\x1f\x01\0\0\x09\x04\0\0\x12\x2c\x01\0\x88\x01\0\0\x1f\x01\0\0\xad\
\x03\0\0\x1c\x20\x01\0\x90\x01\0\0\x1f\x01\0\0\x09\x04\0\0\x12\x2c\x01\0\xa8\
\x01\0\0\x1f\x01\0\0\x2b\x04\0\0\x0d\x30\x01\0\xb0\x01\0\0\x1f\x01\0\0\x41\x04\
\0\0\x1b\x34\x01\0\xb8\x01\0\0\x1f\x01\0\0\x41\x04\0\0\x14\x34\x01\0\xc8\x01\0\
\0\x1f\x01\0\0\x41\x04\0\0\x1b\x34\x01\0\xd8\x01\0\0\x1f\x01\0\0\x6b\x04\0\0\
\x1e\x8c\0\0\xf0\x01\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\xf8\x01\0\0\x1f\x01\0\0\
\x6b\x04\0\0\x1e\x8c\0\0\x10\x02\0\0\x1f\x01\0\0\xa1\x04\0\0\x09\x98\0\0\x18\
\x02\0\0\x1f\x01\0\0\xbc\x04\0\0\x11\x9c\0\0\x60\x02\0\0\x1f\x01\0\0\xe2\x04\0\
\0\x23\xa0\0\0\x80\x02\0\0\x1f\x01\0\0\xbc\x04\0\0\x11\x9c\0\0\x88\x02\0\0\x1f\
\x01\0\0\xe2\x04\0\0\x23\xa0\0\0\xb0\x02\0\0\x1f\x01\0\0\x1f\x05\0\0\x11\xb4\0\
\0\xb8\x02\0\0\x1f\x01\0\0\x48\x05\0\0\x24\xc4\0\0\xc8\x02\0\0\x1f\x01\0\0\0\0\
\0\0\0\0\0\0\xd0\x02\0\0\x1f\x01\0\0\x48\x05\0\0\x24\xc4\0\0\xf0\x02\0\0\x1f\
\x01\0\0\x80\x05\0\0\x33\xc8\0\0\0\x03\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\x08\x03\
\0\0\x1f\x01\0\0\x80\x05\0\0\x05\xc8\0\0\x18\x03\0\0\x1f\x01\0\0\xcf\x05\0\0\
\x11\xd0\0\0\x30\x03\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\x38\x03\0\0\x1f\x01\0\0\
\xcf\x05\0\0\x11\xd0\0\0\x60\x03\0\0\x1f\x01\0\0\xf0\x05\0\0\x18\xd4\0\0\x88\
\x03\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\x90\x03\0\0\x1f\x01\0\0\xf0\x05\0\0\x18\
\xd4\0\0\xb0\x03\0\0\x1f\x01\0\0\x21\x06\0\0\x09\xd8\0\0\xc0\x03\0\0\x1f\x01\0\
\0\x3f\x06\0\0\x15\x3c\x01\0\xd8\x03\0\0\x1f\x01\0\0\0\0\0\0\0\0\0\0\xf0\x03\0\
\0\xf9\x02\0\0\x6a\x06\0\0\x0c\xa4\0\0\x10\x04\0\0\x1f\x01\0\0\xae\x06\0\0\x05\
\x64\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x01\0\0\0\0\x03\0\x10\x04\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x0d\x01\0\0\0\0\x03\0\xd8\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x06\x01\0\0\0\0\x03\0\xa8\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xff\0\0\0\0\0\x03\0\
\xc0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x12\0\x03\0\0\0\0\0\0\0\0\0\x20\
\x04\0\0\0\0\0\0\xba\0\0\0\x11\0\x06\0\xc0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xad\
\0\0\0\x11\0\x06\0\xa0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xdb\0\0\0\x11\0\x05\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x9b\0\0\0\x11\0\x06\0\0\0\0\0\0\0\0\0\x20\0\0\
\0\0\0\0\0\x76\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x83\0\0\0\
\x11\0\x06\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x8e\0\0\0\x11\0\x06\0\x60\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x6d\0\0\0\x11\0\x06\0\x80\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x57\0\0\0\x11\0\x06\0\xe0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x98\0\0\0\0\
\0\0\0\x01\0\0\0\x07\0\0\0\xd0\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\xf0\x03\0\0\0\
\0\0\0\x01\0\0\0\x08\0\0\0\xe4\x04\0\0\0\0\0\0\x04\0\0\0\x0a\0\0\0\xf0\x04\0\0\
\0\0\0\0\x04\0\0\0\x0b\0\0\0\xfc\x04\0\0\0\0\0\0\x04\0\0\0\x0c\0\0\0\x08\x05\0\
\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x14\x05\0\0\0\0\0\0\x04\0\0\0\x0e\0\0\0\x20\x05\
\0\0\0\0\0\0\x04\0\0\0\x08\0\0\0\x2c\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\x38\
\x05\0\0\0\0\0\0\x04\0\0\0\x0f\0\0\0\x50\x05\0\0\0\0\0\0\x04\0\0\0\x09\0\0\0\
\x2c\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x50\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x70\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x90\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xb0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xd0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\xf0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x10\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\x30\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\
\0\0\x50\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\x01\0\0\0\0\0\0\x04\0\0\0\x01\
\0\0\0\x70\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\x01\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x90\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\x01\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\xb0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\x01\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\x01\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\xf0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\x10\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x02\0\0\0\0\0\0\
\x04\0\0\0\x01\0\0\0\x30\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\x02\0\0\0\0\0\
\0\x04\0\0\0\x01\0\0\0\x50\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\x02\0\0\0\0\
\0\0\x04\0\0\0\x01\0\0\0\x70\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\x02\0\0\0\
\0\0\0\x04\0\0\0\x01\0\0\0\x90\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\x02\0\0\
\0\0\0\0\x04\0\0\0\x01\0\0\0\xb0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\x02\0\
\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xd0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\x02\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xf0\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x03\
\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x10\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\
\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x30\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\
\x40\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x50\x03\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\0\x0d\x10\x11\x12\x13\x14\x15\x0f\x0e\x16\0\x62\x70\x66\x5f\x72\x61\x77\x5f\
\x74\x72\x61\x63\x65\x5f\x73\x63\x68\x65\x64\x5f\x77\x61\x6b\x65\x75\x70\x5f\
\x6e\x65\x77\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\
\x6e\x74\x2f\x73\x63\x68\x65\x64\x5f\x77\x61\x6b\x65\x75\x70\x5f\x6e\x65\x77\0\
\x2e\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x67\
\x5f\x74\x68\x72\x65\x61\x64\x5f\x6f\x75\x74\x70\x75\x74\0\x2e\x6d\x61\x70\x73\
\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\
\x61\x70\0\x6e\x6d\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\
\x62\x6a\x5f\x6d\x61\x70\0\x5f\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\
\x5f\x6d\x61\x70\0\x67\x5f\x74\x68\x72\x65\x61\x64\x5f\x6d\x61\x70\0\x67\x5f\
\x70\x72\x6f\x63\x5f\x6d\x61\x70\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\
\x69\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x67\x5f\x6c\x69\x6e\x73\x65\x6e\x63\
\x65\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\
\x6c\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x39\0\x4c\x42\x42\x30\x5f\x37\0\x4c\
\x42\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x31\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe6\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xa2\x1a\0\0\0\0\0\0\x1c\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x44\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x20\x04\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\x16\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x0c\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd3\0\0\0\x01\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\x04\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x67\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x68\x04\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x68\x05\0\0\0\0\0\0\x5b\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xf6\0\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xd8\x16\0\0\
\0\0\0\0\x90\0\0\0\0\0\0\0\x0c\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\
\0\0\x4e\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xc4\x11\0\0\0\0\0\0\
\x60\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x4a\0\0\
\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x68\x17\0\0\0\0\0\0\x30\x03\0\0\
\0\0\0\0\x0c\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xc5\0\0\0\x03\
\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x98\x1a\0\0\0\0\0\0\x0a\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xee\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\x15\0\0\0\0\0\0\x80\x01\0\0\0\0\0\0\x01\0\0\
\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct thread_bpf *thread_bpf::open(const struct bpf_object_open_opts *opts) { return thread_bpf__open_opts(opts); }
struct thread_bpf *thread_bpf::open_and_load() { return thread_bpf__open_and_load(); }
int thread_bpf::load(struct thread_bpf *skel) { return thread_bpf__load(skel); }
int thread_bpf::attach(struct thread_bpf *skel) { return thread_bpf__attach(skel); }
void thread_bpf::detach(struct thread_bpf *skel) { thread_bpf__detach(skel); }
void thread_bpf::destroy(struct thread_bpf *skel) { thread_bpf__destroy(skel); }
const void *thread_bpf::elf_bytes(size_t *sz) { return thread_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
thread_bpf__assert(struct thread_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __THREAD_BPF_SKEL_H__ */
