/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TCP_RATE_BPF_SKEL_H__
#define __TCP_RATE_BPF_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

struct tcp_rate_bpf {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *__probe_match_map;
		struct bpf_map *cgrp_obj_map;
		struct bpf_map *nm_obj_map;
		struct bpf_map *proc_obj_map;
		struct bpf_map *tcp_link_map;
		struct bpf_map *sock_map;
		struct bpf_map *args_map;
		struct bpf_map *tcp_output;
		struct bpf_map *tcp_fd_map;
	} maps;
	struct {
		struct bpf_program *bpf_raw_trace_tcp_rcv_space_adjust;
	} progs;
	struct {
		struct bpf_link *bpf_raw_trace_tcp_rcv_space_adjust;
	} links;

#ifdef __cplusplus
	static inline struct tcp_rate_bpf *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct tcp_rate_bpf *open_and_load();
	static inline int load(struct tcp_rate_bpf *skel);
	static inline int attach(struct tcp_rate_bpf *skel);
	static inline void detach(struct tcp_rate_bpf *skel);
	static inline void destroy(struct tcp_rate_bpf *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
tcp_rate_bpf__destroy(struct tcp_rate_bpf *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
tcp_rate_bpf__create_skeleton(struct tcp_rate_bpf *obj);

static inline struct tcp_rate_bpf *
tcp_rate_bpf__open_opts(const struct bpf_object_open_opts *opts)
{
	struct tcp_rate_bpf *obj;
	int err;

	obj = (struct tcp_rate_bpf *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = tcp_rate_bpf__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	tcp_rate_bpf__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct tcp_rate_bpf *
tcp_rate_bpf__open(void)
{
	return tcp_rate_bpf__open_opts(NULL);
}

static inline int
tcp_rate_bpf__load(struct tcp_rate_bpf *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct tcp_rate_bpf *
tcp_rate_bpf__open_and_load(void)
{
	struct tcp_rate_bpf *obj;
	int err;

	obj = tcp_rate_bpf__open();
	if (!obj)
		return NULL;
	err = tcp_rate_bpf__load(obj);
	if (err) {
		tcp_rate_bpf__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
tcp_rate_bpf__attach(struct tcp_rate_bpf *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
tcp_rate_bpf__detach(struct tcp_rate_bpf *obj)
{
	return bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *tcp_rate_bpf__elf_bytes(size_t *sz);

static inline int
tcp_rate_bpf__create_skeleton(struct tcp_rate_bpf *obj)
{
	struct bpf_object_skeleton *s;
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "tcp_rate_bpf";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 9;
	s->map_skel_sz = sizeof(*s->maps);
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt, s->map_skel_sz);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	s->maps[0].name = "__probe_match_map";
	s->maps[0].map = &obj->maps.__probe_match_map;

	s->maps[1].name = "cgrp_obj_map";
	s->maps[1].map = &obj->maps.cgrp_obj_map;

	s->maps[2].name = "nm_obj_map";
	s->maps[2].map = &obj->maps.nm_obj_map;

	s->maps[3].name = "proc_obj_map";
	s->maps[3].map = &obj->maps.proc_obj_map;

	s->maps[4].name = "tcp_link_map";
	s->maps[4].map = &obj->maps.tcp_link_map;

	s->maps[5].name = "sock_map";
	s->maps[5].map = &obj->maps.sock_map;

	s->maps[6].name = "args_map";
	s->maps[6].map = &obj->maps.args_map;

	s->maps[7].name = "tcp_output";
	s->maps[7].map = &obj->maps.tcp_output;

	s->maps[8].name = "tcp_fd_map";
	s->maps[8].map = &obj->maps.tcp_fd_map;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_raw_trace_tcp_rcv_space_adjust";
	s->progs[0].prog = &obj->progs.bpf_raw_trace_tcp_rcv_space_adjust;
	s->progs[0].link = &obj->links.bpf_raw_trace_tcp_rcv_space_adjust;

	s->data = (void *)tcp_rate_bpf__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *tcp_rate_bpf__elf_bytes(size_t *sz)
{
	*sz = 6920;
	return (const void *)"\
\x7f\x45\x4c\x46\x02\x01\x01\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xc8\x17\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0d\0\
\x01\0\xbf\x16\0\0\0\0\0\0\x79\x67\0\0\0\0\0\0\x7b\x7a\xf8\xff\0\0\0\0\xbf\xa2\
\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\0\0\0\x15\x08\x12\0\0\0\0\0\x85\0\0\0\x05\0\
\0\0\xbf\x09\0\0\0\0\0\0\xb7\x01\0\0\0\0\0\0\x63\x1a\xf4\xff\0\0\0\0\xbf\xa2\0\
\0\0\0\0\0\x07\x02\0\0\xf4\xff\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\
\0\0\0\x01\0\0\0\x18\x01\0\0\0\xac\x23\xfc\0\0\0\0\x06\0\0\0\x15\0\x01\0\0\0\0\
\0\x79\x01\0\0\0\0\0\0\x79\x82\x28\0\0\0\0\0\x3d\x92\x03\0\0\0\0\0\xbf\x93\0\0\
\0\0\0\0\x1f\x23\0\0\0\0\0\0\x3d\x13\x01\0\0\0\0\0\x05\0\x2c\0\0\0\0\0\x7b\x98\
\x28\0\0\0\0\0\x7b\x7a\xf8\xff\0\0\0\0\xbf\xa2\0\0\0\0\0\0\x07\x02\0\0\xf8\xff\
\xff\xff\x18\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\x01\0\0\0\xbf\x08\0\0\0\
\0\0\0\x15\x08\x23\0\0\0\0\0\xbf\x73\0\0\0\0\0\0\x07\x03\0\0\xa0\x04\0\0\xbf\
\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\x02\0\0\x04\0\0\0\x85\0\0\0\
\x04\0\0\0\x61\xa1\xf8\xff\0\0\0\0\x27\x01\0\0\x10\x27\0\0\x63\x18\xfc\0\0\0\0\
\0\x07\x07\0\0\xec\x04\0\0\xbf\xa1\0\0\0\0\0\0\x07\x01\0\0\xf8\xff\xff\xff\xb7\
\x02\0\0\x04\0\0\0\xbf\x73\0\0\0\0\0\0\x85\0\0\0\x04\0\0\0\x61\xa1\xf8\xff\0\0\
\0\0\x27\x01\0\0\x10\x27\0\0\x63\x18\0\x01\0\0\0\0\x61\x81\x38\0\0\0\0\0\x47\
\x01\0\0\x20\0\0\0\x63\x18\x38\0\0\0\0\0\xbf\x84\0\0\0\0\0\0\x07\x04\0\0\x38\0\
\0\0\xbf\x61\0\0\0\0\0\0\x18\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x03\0\0\xff\
\xff\xff\xff\0\0\0\0\0\0\0\0\xb7\x05\0\0\0\x01\0\0\x85\0\0\0\x19\0\0\0\x18\x01\
\0\0\xdf\xff\xff\xff\0\0\0\0\0\0\0\0\x61\x82\x38\0\0\0\0\0\x5f\x12\0\0\0\0\0\0\
\x63\x28\x38\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x9f\xeb\x01\0\x18\0\0\0\0\0\0\0\xe0\x05\0\0\
\xe0\x05\0\0\x2f\x06\0\0\0\0\0\0\0\0\0\x02\x03\0\0\0\x01\0\0\0\0\0\0\x01\x04\0\
\0\0\x20\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\0\
\0\0\0\0\0\x01\x04\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\x02\x06\0\0\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\x02\x08\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\x02\x0a\0\0\0\0\
\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\xe8\x03\0\0\0\0\0\0\x04\0\0\x04\
\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x05\0\0\0\x40\0\0\0\x27\0\0\0\
\x07\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\0\xc0\0\0\0\x3e\0\0\0\0\0\0\x0e\x0b\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x0e\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x02\x10\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\
\0\0\0\x04\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\x02\x12\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\
\0\x02\0\0\0\x04\0\0\0\x64\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\
\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\
\0\0\x11\0\0\0\xc0\0\0\0\x50\0\0\0\0\0\0\x0e\x13\0\0\0\x01\0\0\0\0\0\0\0\x04\0\
\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\x27\
\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x11\0\0\0\xc0\0\0\0\x5d\0\0\0\0\0\0\x0e\
\x15\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\
\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x09\0\0\
\0\xc0\0\0\0\x68\0\0\0\0\0\0\x0e\x17\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x1a\0\0\
\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x38\x01\0\0\0\0\0\0\0\0\0\x02\
\x1c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\0\x28\0\0\0\0\0\0\x04\
\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\
\x27\0\0\0\x19\0\0\0\x80\0\0\0\x32\0\0\0\x1b\0\0\0\xc0\0\0\0\x75\0\0\0\0\0\0\
\x0e\x1d\0\0\0\x01\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\
\0\0\x1e\0\0\0\x0d\0\0\0\x40\0\0\0\x27\0\0\0\x05\0\0\0\x80\0\0\0\x32\0\0\0\x1b\
\0\0\0\xc0\0\0\0\x82\0\0\0\0\0\0\x0e\x1f\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x22\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\0\0\0\x04\0\0\
\x04\x20\0\0\0\x19\0\0\0\x21\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\
\0\0\x0d\0\0\0\x80\0\0\0\x32\0\0\0\x01\0\0\0\xc0\0\0\0\x8b\0\0\0\0\0\0\x0e\x23\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x26\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\
\0\x04\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x0f\0\0\0\0\0\0\
\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\0\x27\0\0\0\x0f\0\0\0\x80\0\0\0\x32\0\0\0\x25\0\
\0\0\xc0\0\0\0\x94\0\0\0\0\0\0\x0e\x27\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x2a\0\
\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\xf8\x01\0\0\0\0\0\0\0\0\0\
\x02\x2c\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x02\0\0\0\x04\0\0\0\x32\0\0\0\0\0\0\0\
\x04\0\0\x04\x20\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\0\0\0\x0f\0\0\0\x40\0\0\
\0\x27\0\0\0\x29\0\0\0\x80\0\0\0\x32\0\0\0\x2b\0\0\0\xc0\0\0\0\x9f\0\0\0\0\0\0\
\x0e\x2d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\x02\x30\0\0\0\xaa\0\0\0\x01\0\0\x04\0\0\
\0\0\xc2\0\0\0\x33\0\0\0\0\0\0\0\xc7\0\0\0\0\0\0\x08\x32\0\0\0\xcd\0\0\0\0\0\0\
\x01\x08\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\x03\0\0\0\0\x31\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\x0d\x02\0\0\0\xe0\0\0\0\x2f\0\0\0\xe4\0\0\0\x01\0\0\x0c\x34\0\
\0\0\x11\x06\0\0\0\0\0\x01\x01\0\0\0\x08\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\x36\
\0\0\0\x04\0\0\0\x04\0\0\0\x16\x06\0\0\0\0\0\x0e\x37\0\0\0\x01\0\0\0\x21\x06\0\
\0\x09\0\0\x0f\0\0\0\0\x0c\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\0\0\0\0\0\x20\0\0\0\
\x16\0\0\0\0\0\0\0\x20\0\0\0\x18\0\0\0\0\0\0\0\x20\0\0\0\x1e\0\0\0\0\0\0\0\x20\
\0\0\0\x20\0\0\0\0\0\0\0\x20\0\0\0\x24\0\0\0\0\0\0\0\x20\0\0\0\x28\0\0\0\0\0\0\
\0\x20\0\0\0\x2e\0\0\0\0\0\0\0\x20\0\0\0\x27\x06\0\0\x01\0\0\x0f\0\0\0\0\x38\0\
\0\0\0\0\0\0\x04\0\0\0\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\
\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x74\x79\x70\x65\0\x6b\x65\x79\x5f\x73\
\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\x6d\x61\x78\x5f\x65\
\x6e\x74\x72\x69\x65\x73\0\x5f\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\
\x5f\x6d\x61\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\
\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\
\x70\0\x74\x63\x70\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\0\x73\x6f\x63\x6b\x5f\
\x6d\x61\x70\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\x74\x63\x70\x5f\x6f\x75\x74\
\x70\x75\x74\0\x74\x63\x70\x5f\x66\x64\x5f\x6d\x61\x70\0\x62\x70\x66\x5f\x72\
\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\x73\0\x61\
\x72\x67\x73\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\
\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\x74\x78\0\x62\x70\x66\x5f\x72\x61\x77\
\x5f\x74\x72\x61\x63\x65\x5f\x74\x63\x70\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\
\x65\x5f\x61\x64\x6a\x75\x73\x74\0\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\
\x69\x6e\x74\x2f\x74\x63\x70\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\
\x64\x6a\x75\x73\x74\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\
\x70\x6d\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\
\x67\x6f\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\
\x6f\x62\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\
\x72\x6f\x62\x65\x2f\x73\x72\x63\x2f\x74\x63\x70\x70\x72\x6f\x62\x65\x2f\x74\
\x63\x70\x5f\x72\x61\x74\x65\x2e\x62\x70\x66\x2e\x63\0\x4b\x52\x41\x57\x54\x52\
\x41\x43\x45\x28\x74\x63\x70\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\
\x64\x6a\x75\x73\x74\x2c\x20\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\x63\
\x65\x70\x6f\x69\x6e\x74\x5f\x61\x72\x67\x73\x29\0\x20\x20\x20\x20\x73\x74\x72\
\x75\x63\x74\x20\x73\x6f\x63\x6b\x20\x2a\x73\x6b\x20\x3d\x20\x28\x73\x74\x72\
\x75\x63\x74\x20\x73\x6f\x63\x6b\x2a\x29\x63\x74\x78\x2d\x3e\x61\x72\x67\x73\
\x5b\x30\x5d\x3b\0\x20\x20\x20\x20\x73\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\
\x5f\x73\x74\x61\x74\x73\x5f\x73\x20\x2a\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\
\x73\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\
\x65\x6c\x65\x6d\x28\x26\x74\x63\x70\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\x2c\
\x20\x26\x73\x6b\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x21\x73\x6f\x63\x6b\
\x5f\x73\x74\x61\x74\x73\x29\x20\x7b\0\x20\x20\x20\x20\x75\x36\x34\x20\x74\x73\
\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\x73\
\x28\x29\x3b\0\x2f\x68\x6f\x6d\x65\x2f\x61\x62\x75\x69\x6c\x64\x2f\x72\x70\x6d\
\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x67\x61\x6c\x61\x2d\x67\x6f\
\x70\x68\x65\x72\x2d\x32\x2e\x30\x2e\x30\x2f\x73\x72\x63\x2f\x70\x72\x6f\x62\
\x65\x73\x2f\x65\x78\x74\x65\x6e\x64\x73\x2f\x65\x62\x70\x66\x2e\x70\x72\x6f\
\x62\x65\x2f\x73\x72\x63\x2f\x74\x63\x70\x70\x72\x6f\x62\x65\x2f\x2e\x2f\x74\
\x63\x70\x5f\x6c\x69\x6e\x6b\x2e\x68\0\x20\x20\x20\x20\x75\x33\x32\x20\x6b\x65\
\x79\x20\x3d\x20\x30\x3b\0\x20\x20\x20\x20\x61\x72\x67\x73\x20\x3d\x20\x28\x73\
\x74\x72\x75\x63\x74\x20\x74\x63\x70\x5f\x61\x72\x67\x73\x5f\x73\x20\x2a\x29\
\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\
\x28\x26\x61\x72\x67\x73\x5f\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x20\
\x20\x20\x20\x69\x66\x20\x28\x61\x72\x67\x73\x29\x20\x7b\0\x20\x20\x20\x20\x20\
\x20\x20\x20\x70\x65\x72\x69\x6f\x64\x20\x3d\x20\x61\x72\x67\x73\x2d\x3e\x73\
\x61\x6d\x70\x6c\x65\x5f\x70\x65\x72\x69\x6f\x64\x3b\0\x20\x20\x20\x20\x69\x66\
\x20\x28\x28\x74\x73\x20\x3e\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x2d\
\x3e\x74\x73\x5f\x73\x74\x61\x74\x73\x2e\x72\x61\x74\x65\x5f\x74\x73\x29\x20\
\x26\x26\x20\x28\x28\x74\x73\x20\x2d\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\
\x73\x2d\x3e\x74\x73\x5f\x73\x74\x61\x74\x73\x2e\x72\x61\x74\x65\x5f\x74\x73\
\x29\x20\x3e\x3d\x20\x70\x65\x72\x69\x6f\x64\x29\x29\x20\x7b\0\x20\x20\x20\x20\
\x20\x20\x20\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x2d\x3e\x74\x73\x5f\
\x73\x74\x61\x74\x73\x2e\x72\x61\x74\x65\x5f\x74\x73\x20\x3d\x20\x74\x73\x3b\0\
\x20\x20\x20\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x20\x3d\x20\x28\x73\
\x74\x72\x75\x63\x74\x20\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\x73\x5f\x73\x20\
\x2a\x29\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\
\x65\x6d\x28\x26\x74\x63\x70\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\x2c\x20\x26\
\x73\x6b\x29\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x6d\x65\x74\x72\x69\x63\x73\
\x29\x20\x7b\0\x20\x20\x20\x20\x74\x6d\x70\x20\x3d\x20\x6a\x69\x66\x66\x69\x65\
\x73\x5f\x74\x6f\x5f\x75\x73\x65\x63\x73\x28\x5f\x28\x69\x63\x73\x6b\x2d\x3e\
\x69\x63\x73\x6b\x5f\x72\x74\x6f\x29\x29\x3b\0\x20\x20\x20\x20\x72\x65\x74\x75\
\x72\x6e\x20\x28\x55\x53\x45\x43\x5f\x50\x45\x52\x5f\x53\x45\x43\x20\x2f\x20\
\x48\x5a\x29\x20\x2a\x20\x6a\x3b\0\x20\x20\x20\x20\x73\x74\x61\x74\x73\x2d\x3e\
\x74\x63\x70\x69\x5f\x72\x74\x6f\x20\x3d\x20\x74\x6d\x70\x3b\0\x20\x20\x20\x20\
\x74\x6d\x70\x20\x3d\x20\x6a\x69\x66\x66\x69\x65\x73\x5f\x74\x6f\x5f\x75\x73\
\x65\x63\x73\x28\x5f\x28\x69\x63\x73\x6b\x2d\x3e\x69\x63\x73\x6b\x5f\x61\x63\
\x6b\x2e\x61\x74\x6f\x29\x29\x3b\0\x20\x20\x20\x20\x73\x74\x61\x74\x73\x2d\x3e\
\x74\x63\x70\x69\x5f\x61\x74\x6f\x20\x3d\x20\x74\x6d\x70\x3b\0\x20\x20\x20\x20\
\x6d\x65\x74\x72\x69\x63\x73\x2d\x3e\x72\x65\x70\x6f\x72\x74\x5f\x66\x6c\x61\
\x67\x73\x20\x7c\x3d\x20\x54\x43\x50\x5f\x50\x52\x4f\x42\x45\x5f\x52\x41\x54\
\x45\x3b\0\x20\x20\x20\x20\x69\x66\x20\x28\x73\x6f\x63\x6b\x5f\x73\x74\x61\x74\
\x73\x29\x20\x7b\0\x20\x20\x20\x20\x28\x76\x6f\x69\x64\x29\x62\x70\x66\x5f\x70\
\x65\x72\x66\x5f\x65\x76\x65\x6e\x74\x5f\x6f\x75\x74\x70\x75\x74\x28\x63\x74\
\x78\x2c\x20\x26\x74\x63\x70\x5f\x6f\x75\x74\x70\x75\x74\x2c\x20\x42\x50\x46\
\x5f\x46\x5f\x43\x55\x52\x52\x45\x4e\x54\x5f\x43\x50\x55\x2c\x20\x6d\x65\x74\
\x72\x69\x63\x73\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\
\x20\x74\x63\x70\x5f\x6d\x65\x74\x72\x69\x63\x73\x5f\x73\x29\x29\x3b\0\x20\x20\
\x20\x20\x6d\x65\x74\x72\x69\x63\x73\x2d\x3e\x72\x65\x70\x6f\x72\x74\x5f\x66\
\x6c\x61\x67\x73\x20\x26\x3d\x20\x7e\x54\x43\x50\x5f\x50\x52\x4f\x42\x45\x5f\
\x52\x41\x54\x45\x3b\0\x20\x20\x20\x20\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\
\x63\x68\x61\x72\0\x67\x5f\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\x2e\x6d\x61\x70\
\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\0\x9f\xeb\x01\0\x20\0\0\0\0\0\0\0\x14\0\0\
\0\x14\0\0\0\xfc\x01\0\0\x10\x02\0\0\0\0\0\0\x08\0\0\0\x07\x01\0\0\x01\0\0\0\0\
\0\0\0\x35\0\0\0\x10\0\0\0\x07\x01\0\0\x1f\0\0\0\0\0\0\0\x2b\x01\0\0\x93\x01\0\
\0\0\x64\x02\0\x08\0\0\0\x2b\x01\0\0\xcc\x01\0\0\x25\x6c\x02\0\x20\0\0\0\x2b\
\x01\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x2b\x01\0\0\xfe\x01\0\0\x27\x6c\0\0\x48\0\0\
\0\x2b\x01\0\0\x4d\x02\0\0\x09\x70\0\0\x50\0\0\0\x2b\x01\0\0\x64\x02\0\0\x0e\
\x80\0\0\x68\0\0\0\x85\x02\0\0\xeb\x02\0\0\x09\x3c\x01\0\x78\0\0\0\x2b\x01\0\0\
\x64\x02\0\0\x0e\x80\0\0\x80\0\0\0\x85\x02\0\0\xfc\x02\0\0\x21\x4c\x01\0\xa8\0\
\0\0\x85\x02\0\0\x42\x03\0\0\x09\x50\x01\0\xb0\0\0\0\x85\x02\0\0\x52\x03\0\0\
\x18\x54\x01\0\xb8\0\0\0\x2b\x01\0\0\x78\x03\0\0\x24\x88\0\0\xc0\0\0\0\x2b\x01\
\0\0\x78\x03\0\0\x2d\x88\0\0\xe8\0\0\0\x2b\x01\0\0\xda\x03\0\0\x26\x8c\0\0\x08\
\x01\0\0\x85\x02\0\0\x05\x04\0\0\x29\x30\x02\0\x28\x01\0\0\x2b\x01\0\0\x56\x04\
\0\0\x09\x4c\x02\0\x30\x01\0\0\x2b\x01\0\0\x69\x04\0\0\x1c\xa8\x01\0\x48\x01\0\
\0\x2b\x01\0\0\0\0\0\0\0\0\0\0\x50\x01\0\0\x2b\x01\0\0\x69\x04\0\0\x1c\xa8\x01\
\0\x68\x01\0\0\x2b\x01\0\0\x98\x04\0\0\x0c\x88\x01\0\x70\x01\0\0\x2b\x01\0\0\
\xbc\x04\0\0\x15\xac\x01\0\x78\x01\0\0\x2b\x01\0\0\xd7\x04\0\0\x1c\xb4\x01\0\
\x88\x01\0\0\x2b\x01\0\0\0\0\0\0\0\0\0\0\x90\x01\0\0\x2b\x01\0\0\xd7\x04\0\0\
\x1c\xb4\x01\0\xb0\x01\0\0\x2b\x01\0\0\x98\x04\0\0\x0c\x88\x01\0\xb8\x01\0\0\
\x2b\x01\0\0\x0a\x05\0\0\x15\xb8\x01\0\xc0\x01\0\0\x2b\x01\0\0\x25\x05\0\0\x1b\
\xac\0\0\xd8\x01\0\0\x85\x02\0\0\x52\x05\0\0\x09\x34\x02\0\xe8\x01\0\0\x2b\x01\
\0\0\x68\x05\0\0\x0b\xb0\0\0\x30\x02\0\0\x2b\x01\0\0\xd5\x05\0\0\x1b\xb4\0\0\
\x48\x02\0\0\x2b\x01\0\0\x03\x06\0\0\x05\x74\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\
\x01\0\0\0\0\x03\0\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x20\x01\0\0\0\0\x03\0\xb8\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x12\x01\0\0\0\0\x03\0\xe8\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0b\x01\0\0\0\0\x03\0\x48\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\
\x12\0\x03\0\0\0\0\0\0\0\0\0\x58\x02\0\0\0\0\0\0\x79\0\0\0\x11\0\x06\0\x80\0\0\
\0\0\0\0\0\x20\0\0\0\0\0\0\0\x70\0\0\0\x11\0\x06\0\xc0\0\0\0\0\0\0\0\x20\0\0\0\
\0\0\0\0\x14\0\0\0\x11\0\x06\0\xe0\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xe7\0\0\0\
\x11\0\x05\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\xb4\0\0\0\x11\0\x06\0\0\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\x8f\0\0\0\x11\0\x06\0\x20\0\0\0\0\0\0\0\x20\0\0\0\0\0\
\0\0\x9c\0\0\0\x11\0\x06\0\x40\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\xa7\0\0\0\x11\0\
\x06\0\x60\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x86\0\0\0\x11\0\x06\0\xa0\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\xc6\0\0\0\x11\0\x06\0\0\x01\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x28\0\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\x80\0\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\
\x08\x01\0\0\0\0\0\0\x01\0\0\0\x07\0\0\0\xf0\x01\0\0\0\0\0\0\x01\0\0\0\x09\0\0\
\0\x78\x05\0\0\0\0\0\0\x04\0\0\0\x0b\0\0\0\x84\x05\0\0\0\0\0\0\x04\0\0\0\x0c\0\
\0\0\x90\x05\0\0\0\0\0\0\x04\0\0\0\x0d\0\0\0\x9c\x05\0\0\0\0\0\0\x04\0\0\0\x0e\
\0\0\0\xa8\x05\0\0\0\0\0\0\x04\0\0\0\x07\0\0\0\xb4\x05\0\0\0\0\0\0\x04\0\0\0\
\x0f\0\0\0\xc0\x05\0\0\0\0\0\0\x04\0\0\0\x08\0\0\0\xcc\x05\0\0\0\0\0\0\x04\0\0\
\0\x09\0\0\0\xd8\x05\0\0\0\0\0\0\x04\0\0\0\x10\0\0\0\xf0\x05\0\0\0\0\0\0\x04\0\
\0\0\x0a\0\0\0\x2c\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\0\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x70\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x90\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xb0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xd0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\0\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\xf0\0\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x01\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\0\x10\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x01\0\0\0\0\0\0\x04\0\0\
\0\x01\0\0\0\x30\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x40\x01\0\0\0\0\0\0\x04\0\
\0\0\x01\0\0\0\x50\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x60\x01\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\0\x70\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x80\x01\0\0\0\0\0\0\
\x04\0\0\0\x01\0\0\0\x90\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xa0\x01\0\0\0\0\0\
\0\x04\0\0\0\x01\0\0\0\xb0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xc0\x01\0\0\0\0\
\0\0\x04\0\0\0\x01\0\0\0\xd0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\xe0\x01\0\0\0\
\0\0\0\x04\0\0\0\x01\0\0\0\xf0\x01\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\
\0\0\0\x04\0\0\0\x01\0\0\0\x10\x02\0\0\0\0\0\0\x04\0\0\0\x01\0\0\0\x20\x02\0\0\
\0\0\0\0\x04\0\0\0\x01\0\0\0\x0d\x11\x12\x13\x14\x15\x0e\x16\x0f\x10\x17\0\x2e\
\x74\x65\x78\x74\0\x2e\x72\x65\x6c\x2e\x42\x54\x46\x2e\x65\x78\x74\0\x74\x63\
\x70\x5f\x6f\x75\x74\x70\x75\x74\0\x62\x70\x66\x5f\x72\x61\x77\x5f\x74\x72\x61\
\x63\x65\x5f\x74\x63\x70\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\x64\
\x6a\x75\x73\x74\0\x2e\x72\x65\x6c\x72\x61\x77\x5f\x74\x72\x61\x63\x65\x70\x6f\
\x69\x6e\x74\x2f\x74\x63\x70\x5f\x72\x63\x76\x5f\x73\x70\x61\x63\x65\x5f\x61\
\x64\x6a\x75\x73\x74\0\x2e\x6d\x61\x70\x73\0\x61\x72\x67\x73\x5f\x6d\x61\x70\0\
\x74\x63\x70\x5f\x6c\x69\x6e\x6b\x5f\x6d\x61\x70\0\x73\x6f\x63\x6b\x5f\x6d\x61\
\x70\0\x63\x67\x72\x70\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x6e\x6d\x5f\x6f\x62\
\x6a\x5f\x6d\x61\x70\0\x70\x72\x6f\x63\x5f\x6f\x62\x6a\x5f\x6d\x61\x70\0\x5f\
\x5f\x70\x72\x6f\x62\x65\x5f\x6d\x61\x74\x63\x68\x5f\x6d\x61\x70\0\x74\x63\x70\
\x5f\x66\x64\x5f\x6d\x61\x70\0\x2e\x6c\x6c\x76\x6d\x5f\x61\x64\x64\x72\x73\x69\
\x67\0\x6c\x69\x63\x65\x6e\x73\x65\0\x67\x5f\x6c\x69\x6e\x73\x65\x6e\x63\x65\0\
\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x72\x65\x6c\
\x2e\x42\x54\x46\0\x4c\x42\x42\x30\x5f\x38\0\x4c\x42\x42\x30\x5f\x36\0\x4c\x42\
\x42\x30\x5f\x35\0\x4c\x42\x42\x30\x5f\x33\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf2\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x9b\x16\0\0\0\0\0\0\x27\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\
\0\0\0\x01\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x58\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\0\0\0\x09\0\0\
\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\x13\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x0c\
\0\0\0\x03\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xdf\0\0\0\x01\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x98\x02\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x6a\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\xa0\x02\0\0\0\0\0\0\x20\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x01\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\xc0\x03\0\0\0\0\0\0\x27\x0c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x02\x01\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\x13\
\0\0\0\0\0\0\xa0\0\0\0\0\0\0\0\x0c\0\0\0\x07\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\
\0\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xe8\x0f\0\0\0\0\0\
\0\x30\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\0\
\0\0\x09\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x90\x14\0\0\0\0\0\0\0\x02\0\0\
\0\0\0\0\x0c\0\0\0\x09\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\xd1\0\0\0\x03\
\x4c\xff\x6f\0\0\0\x80\0\0\0\0\0\0\0\0\0\0\0\0\x90\x16\0\0\0\0\0\0\x0b\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x02\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x12\0\0\0\0\0\0\x98\x01\0\0\0\0\0\0\x01\0\0\
\0\x06\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0";
}

#ifdef __cplusplus
struct tcp_rate_bpf *tcp_rate_bpf::open(const struct bpf_object_open_opts *opts) { return tcp_rate_bpf__open_opts(opts); }
struct tcp_rate_bpf *tcp_rate_bpf::open_and_load() { return tcp_rate_bpf__open_and_load(); }
int tcp_rate_bpf::load(struct tcp_rate_bpf *skel) { return tcp_rate_bpf__load(skel); }
int tcp_rate_bpf::attach(struct tcp_rate_bpf *skel) { return tcp_rate_bpf__attach(skel); }
void tcp_rate_bpf::detach(struct tcp_rate_bpf *skel) { tcp_rate_bpf__detach(skel); }
void tcp_rate_bpf::destroy(struct tcp_rate_bpf *skel) { tcp_rate_bpf__destroy(skel); }
const void *tcp_rate_bpf::elf_bytes(size_t *sz) { return tcp_rate_bpf__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
tcp_rate_bpf__assert(struct tcp_rate_bpf *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TCP_RATE_BPF_SKEL_H__ */
